const [_, _Mekanome] = [...$vararg]
const Mekanome = _Mekanome as unknown as IMekanome

const ArcaneInt = Mekanome.SpellUtils.Create(1459)

function ArcaneMage(this: void): Castable | undefined {
  return Mekanome.SpellUtils.SelfCast(ArcaneInt)
}

Mekanome.ActionManager.Add('arcane_mage', {
  run: ArcaneMage,
  priority: 1,
  loadConditions: { spec: 1, class: 8 }
})

export default undefined
