/* eslint-disable @typescript-eslint/no-duplicate-enum-values */
/* eslint-disable @typescript-eslint/ban-types */
/** @noSelfInFile **/

declare global {
  type CraftingOrderRequestCallback = (
    result: CraftingOrderResult,
    orderType: CraftingOrderType,
    displayBuckets: boolean,
    expectMoreRows: boolean,
    offset: number,
    isSorted: boolean
  ) => void

  type CraftingOrderRequestMyOrdersCallback = (
    result: CraftingOrderResult,
    expectMoreRows: boolean,
    offset: number,
    isSorted: boolean
  ) => void

  type PingCooldownStartedCallback = (info: PingCooldownInfo) => void

  type PingPinFrameAddedCallback = (
    region: unknown,
    uiTextureKit: string,
    isWorldPoint: boolean
  ) => void

  type PingPinFrameRemovedCallback = (region: unknown) => void

  type PingPinFrameScreenClampStateUpdatedCallback = (
    region: unknown,
    state: boolean
  ) => void

  type PingRadialWheelCreatedCallback = (region: unknown) => void

  type SendMacroPingCallback = (
    type: PingSubjectType | undefined,
    targetToken: string | undefined
  ) => void

  type TogglePingListenerCallback = (down: boolean) => void

  type GetTitleIconTextureCallback = (success: boolean, texture: number) => void

  type MacroExecuteLineCallback = (macroLine: string) => void

  type TickerCallback = (cb: TimerCallback) => void

  type TimerCallback = () => void
}

export {}
