/* eslint-disable @typescript-eslint/no-duplicate-enum-values */
/* eslint-disable @typescript-eslint/ban-types */
/** @noSelfInFile **/

declare global {
  const AuctionConstants: { DEFAULT_AUCTION_PRICE_MULTIPLIER: 1.5 }

  const CharCustomizationConstants: {
    CHAR_CUSTOMIZE_CUSTOM_DISPLAY_OPTION_FIRST: 0
    CHAR_CUSTOMIZE_CUSTOM_DISPLAY_OPTION_LAST: 0
    NUM_CUSTOM_DISPLAY: 1
  }

  const ContentTrackingConsts: {
    MaxTrackedCollectableSources: 15
    MaxTrackedAchievements: 10
  }

  const Callings: { MaxCallings: 3 }

  const CraftingOrderConsts: { MAX_CRAFTING_ORDER_FAVORITE_RECIPES: 100 }

  const CurrencyConsts: {
    PLAYER_CURRENCY_CLIENT_FLAGS: 0
    MAX_CURRENCY_QUANTITY: 100000000
    CONQUEST_ARENA_AND_BG_META_CURRENCY_ID: 483
    CONQUEST_RATED_BG_META_CURRENCY_ID: 484
    CONQUEST_ASHRAN_META_CURRENCY_ID: 692
    ACCOUNT_WIDE_HONOR_CURRENCY_ID: 1585
    ACCOUNT_WIDE_HONOR_LEVEL_CURRENCY_ID: 1586
    CONQUEST_CURRENCY_ID: 1602
    CONQUEST_POINTS_CURRENCY_ID: 390
    CONQUEST_ARENA_META_CURRENCY_ID: 483
    CONQUEST_BG_META_CURRENCY_ID: 484
    HONOR_CURRENCY_ID: 1792
    ARTIFACT_KNOWLEDGE_CURRENCY_ID: 1171
    WAR_RESOURCES_CURRENCY_ID: 1560
    ECHOES_OF_NYALOTHA_CURRENCY_ID: 1803
    DRAGON_ISLES_SUPPLIES_CURRENCY_ID: 2003
    QUESTIONMARK_INV_ICON: 134400
    PVP_CURRENCY_CONQUEST_ALLIANCE_INV_ICON: 463448
    PVP_CURRENCY_CONQUEST_HORDE_INV_ICON: 463449
    PVP_CURRENCY_HONOR_ALLIANCE_INV_ICON: 463450
    PVP_CURRENCY_HONOR_HORDE_INV_ICON: 463451
    CURRENCY_ID_RENOWN: 1822
    CURRENCY_ID_RENOWN_KYRIAN: 1829
    CURRENCY_ID_RENOWN_VENTHYR: 1830
    CURRENCY_ID_RENOWN_NIGHT_FAE: 1831
    CURRENCY_ID_RENOWN_NECROLORD: 1832
    CURRENCY_ID_WILLING_SOUL: 1810
    CURRENCY_ID_RESERVOIR_ANIMA: 1813
    CURRENCY_ID_PERKS_PROGRAM_DISPLAY_INFO: 2032
  }

  const DelvesConsts: {
    DELVES_MIN_PLAYER_LEVEL_CONTENT_TUNING_ID: 2677
    DELVES_NORMAL_KEY_CURRENCY_ID: 3028
    DELVES_COMPANION_TOOLTIP_WIDGET_SET_ID: 1331
    DELVES_COMPANION_TRAIT_SYSTEM_ID: 6
    BRANN_COMPANION_INFO_ID: 1
  }

  const EditModeConsts: {
    EditModeDefaultGridSpacing: 100
    EditModeMinGridSpacing: 20
    EditModeMaxGridSpacing: 300
    EditModeMaxLayoutsPerType: 5
  }

  const ItemConsts: {
    NUM_ITEM_ENCHANTMENT_SOCKETS: 3
    MAX_LOOT_OBJECT_ITEMS: 31
    INVALID_TRANSACTION_BANK_TAB_SLOT: 255
  }

  const ITEM_WEAPON_SUBCLASSConstants: { ITEM_WEAPON_SUBCLASS_NONE: -1 }

  const GroupFinderConstants: { MAX_GROUP_FINDER_ACTIVITIES: 41 }

  const LFG_ROLEConstants: { LFG_ROLE_NO_ROLE: -1; LFG_ROLE_ANY: 1 }

  const LevelConstsExposed: { MIN_RES_SICKNESS_LEVEL: 10; MIN_ACHIEVEMENT_LEVEL: 10 }

  const LootConsts: { MasterLootQualityThreshold: 5 }

  const MajorFactionsConsts: {
    WORLD_STATE_RENOWN_CAP_10_0: 19735
    WORLD_STATE_RAPID_RENOWN_CAP_10_0: 20851
    PLUNDERSTORM_MAJOR_FACTION_ID: 2593
  }

  const MoneyFormattingConstants: { GOLD_REWARD_THRESHOLD_TO_HIDE_COPPER: 10 }

  const MountDynamicFlightConsts: { TRAIT_SYSTEM_ID: 1; TREE_ID: 672 }

  const PetConsts_PostCata: {
    MAX_STABLE_SLOTS: 200
    MAX_SUMMONABLE_PETS: 25
    MAX_SUMMONABLE_HUNTER_PETS: 5
    NUM_PET_SLOTS_THAT_NEED_LEARNED_SPELL: 5
    NUM_PET_SLOTS: 205
    EXTRA_PET_STABLE_SLOT: 5
    STABLED_PETS_FIRST_SLOT_INDEX: 6
  }

  const PetConsts_PreWrath: {
    MAX_STABLE_SLOTS: 2
    MAX_SUMMONABLE_PETS: 25
    MAX_SUMMONABLE_HUNTER_PETS: 1
    NUM_PET_SLOTS_THAT_NEED_LEARNED_SPELL: 1
    NUM_PET_SLOTS: 205
    EXTRA_PET_STABLE_SLOT: 0
    STABLED_PETS_FIRST_SLOT_INDEX: 6
  }

  const PetConsts_Wrath: {
    MAX_STABLE_SLOTS: 4
    MAX_SUMMONABLE_PETS: 25
    MAX_SUMMONABLE_HUNTER_PETS: 1
    NUM_PET_SLOTS_THAT_NEED_LEARNED_SPELL: 1
    NUM_PET_SLOTS: 205
    EXTRA_PET_STABLE_SLOT: 0
    STABLED_PETS_FIRST_SLOT_INDEX: 6
  }

  const ProfessionConsts: {
    NUM_PRIMARY_PROFESSIONS: 2
    CLASSIC_PROFESSION_PARENT_TIER_INDEX: 4
    RUNEFORGING_SKILL_LINE_ID: 960
    RUNEFORGING_ROOT_CATEGORY_ID: 210
    MAX_CRAFTING_REAGENT_SLOTS: 12
    CRAFTING_ORDER_CLAIM_DURATION: 0
    PUBLIC_CRAFTING_ORDER_STALE_THRESHOLD: 0
    CRAFTING_ORDER_ITEM_RETENTION: 30
  }

  const PvpInfoConsts: { MaxPlayersPerInstance: 80 }

  const QuestWatchConsts: {
    MAX_QUEST_WATCHES: 25
    MAX_WORLD_QUEST_WATCHES_AUTOMATIC: 1
    MAX_WORLD_QUEST_WATCHES_MANUAL: 5
  }

  const TimerunningConsts: {
    TIMERUNNING_SEASON_NONE: 0
    TIMERUNNING_SEASON_PANDARIA: 1
    TIMERUNNING_ITEM_CTR: 2905
    TIMERUNNING_STARTLOC_ID_ALLIANCE: 10211
    TIMERUNNING_STARTLOC_ID_HORDE: 10212
  }

  const TraitConsts: {
    MAX_COMBAT_TRAIT_CONFIGS: 40
    COMMIT_COMBAT_TRAIT_CONFIG_CHANGES_SPELL_ID: 384255
    INSPECT_TRAIT_CONFIG_ID: -1
    STARTER_BUILD_TRAIT_CONFIG_ID: -2
    VIEW_TRAIT_CONFIG_ID: -3
  }

  const Transmog: {
    NoTransmogID: 0
    MainHandTransmogIsIndividualWeapon: -1
    MainHandTransmogIsPairedWeapon: 0
  }
}

export {}
