/* eslint-disable @typescript-eslint/no-duplicate-enum-values */
/* eslint-disable @typescript-eslint/ban-types */
/** @noSelfInFile **/

declare global {
  enum AccountData {
    Config = 0,
    Config2 = 1,
    Bindings = 2,
    Bindings2 = 3,
    Macros = 4,
    Macros2 = 5,
    UILayout = 6,
    ChatSettings = 7,
    TtsSettings = 8,
    TtsSettings2 = 9,
    FlaggedIDs = 10,
    FlaggedIDs2 = 11,
    ClickBindings = 12,
    UIEditModeAccount = 13,
    UIEditModeChar = 14,
    FrontendChatSettings = 15,
    CharacterListOrder = 16
  }
  enum AccountDataUpdateStatus {
    AccountDataUpdateSuccess = 0,
    AccountDataUpdateFailed = 1,
    AccountDataUpdateCorrupt = 2,
    AccountDataUpdateToobig = 3
  }
  enum AccountExportResult {
    Success = 0,
    UnknownError = 1,
    Cancelled = 2,
    ShuttingDown = 3,
    TimedOut = 4,
    NoAccountFound = 5,
    RequestedInvalidCharacter = 6,
    RpcError = 7,
    FileInvalid = 8,
    FileWriteFailed = 9,
    Unavailable = 10,
    AlreadyInProgress = 11,
    FailedToLockAccount = 12,
    FailedToGenerateFile = 13
  }
  enum AccountTransType {
    ProxyForwarder = 0,
    Purchase = 1,
    Distribution = 2,
    Battlepet = 3,
    Achievements = 4,
    Criteria = 5,
    Mounts = 6,
    Characters = 7,
    Purchases = 8,
    ArchivedPurchases = 9,
    Distributions = 10,
    CurrencyCaps = 11,
    QuestLog = 12,
    CriteriaNotif = 13,
    Settings = 14,
    FixedLicense = 15,
    AddLicense = 16,
    ItemCollections = 17,
    AuctionableToken = 18,
    ConsumableToken = 19,
    VasTransaction = 20,
    Productitem = 21,
    TrialBoostHistory = 22,
    TrialBoostHistories = 23,
    QuestCriteria = 24,
    BattlenetAccount = 25,
    AccountCurrencies = 26,
    RafRecruiterAcceptances = 27,
    RafFriendMonth = 28,
    RafReward = 29,
    DynamicCriteria = 30,
    RafActivity = 31,
    CreateOrderInfo = 32,
    ProxyHonorInitialConversion = 33,
    ProxyCreateAccountHonor = 34,
    ProxyValidateAccountHonor = 35,
    ProxyGmSetHonor = 36,
    ProxyGenerateBpayID = 37,
    AccountNotifications = 38,
    PerkItemHold = 39,
    PerkPendingRewards = 40,
    PerkRecentPurchases = 41,
    PerkPastRewards = 42,
    PerkTransaction = 43,
    OutstandingRpc = 44,
    LoadWowlabs = 45,
    UpgradeAccount = 46,
    GetOrderStatusByPurchaseID = 47,
    Items = 48,
    BankTab = 49,
    Factions = 50,
    BitVectors = 51,
    CombinedQuestLog = 52,
    PlayerDataElements = 53
  }
  enum BnetAccountFlag {
    None = 0,
    BattlePetTrainer = 1,
    RafVeteranNotified = 2,
    TwitterLinked = 4,
    TwitterHasTempSecret = 8,
    Employee = 16,
    EmployeeFlagIsManual = 32,
    AccountQuestBitFixUp = 64,
    AchievementsToBi = 128,
    InvalidTransmogsFixUp = 256,
    InvalidTransmogsFixUp2 = 512,
    GdprErased = 1024,
    DarkRealmLightCopy = 2048,
    QuestLogFlagsFixUp = 4096,
    WasSecured = 8192,
    LockedForExport = 16384,
    CanBuyAhGameTimeTokens = 32768,
    PetAchievementFixUp = 65536,
    IsLegacy = 131072,
    CataLegendaryMountChecked = 262144,
    CataLegendaryMountObtained = 524288
  }
  enum DisableAccountProfilesFlags {
    None = 0,
    Document = 1,
    SharedCollections = 2,
    MountsCollections = 4,
    PetsCollections = 8,
    ItemsCollections = 16
  }
  enum AddOnEnableState {
    None = 0,
    Some = 1,
    All = 2
  }
  enum AnimaDiversionNodeState {
    Unavailable = 0,
    Available = 1,
    SelectedTemporary = 2,
    SelectedPermanent = 3,
    Cooldown = 4
  }
  enum ArrowCalloutDirection {
    Up = 0,
    Down = 1,
    Left = 2,
    Right = 3
  }
  enum ArrowCalloutType {
    None = 0,
    Generic = 1,
    WorldLootObject = 2,
    Tutorial = 3,
    WidgetContainerNoBorder = 4
  }
  enum AuctionHouseFilterCategory {
    Uncategorized = 0,
    Equipment = 1,
    Rarity = 2
  }
  enum AuctionStatus {
    Active = 0,
    Sold = 1
  }
  enum ItemCommodityStatus {
    Unknown = 0,
    Item = 1,
    Commodity = 2
  }
  enum AuctionHouseCommoditySortOrder {
    UnitPrice = 0,
    Quantity = 1
  }
  enum AuctionHouseError {
    NotEnoughMoney = 0,
    HigherBid = 1,
    BidIncrement = 2,
    BidOwn = 3,
    ItemNotFound = 4,
    RestrictedAccountTrial = 5,
    HasRestriction = 6,
    IsBusy = 7,
    Unavailable = 8,
    ItemHasQuote = 9,
    DatabaseError = 10,
    MinBid = 11,
    NotEnoughItems = 12,
    RepairItem = 13,
    UsedCharges = 14,
    QuestItem = 15,
    BoundItem = 16,
    ConjuredItem = 17,
    LimitedDurationItem = 18,
    IsBag = 19,
    EquippedBag = 20,
    WrappedItem = 21,
    LootItem = 22,
    DoubleBid = 23,
    FavoritesMaxed = 24,
    ItemNotAvailable = 25,
    ItemBoundToAccountUntilEquip = 26
  }
  enum AuctionHouseExtraColumn {
    None = 0,
    Ilvl = 1,
    Slots = 2,
    Level = 3,
    Skill = 4
  }
  enum AuctionHouseFilter {
    None = 0,
    UncollectedOnly = 1,
    UsableOnly = 2,
    CurrentExpansionOnly = 3,
    UpgradesOnly = 4,
    ExactMatch = 5,
    PoorQuality = 6,
    CommonQuality = 7,
    UncommonQuality = 8,
    RareQuality = 9,
    EpicQuality = 10,
    LegendaryQuality = 11,
    ArtifactQuality = 12,
    LegendaryCraftedItemOnly = 13
  }
  enum AuctionHouseItemSortOrder {
    Bid = 0,
    Buyout = 1
  }
  enum AuctionHouseNotification {
    BidPlaced = 0,
    AuctionRemoved = 1,
    AuctionWon = 2,
    AuctionOutbid = 3,
    AuctionSold = 4,
    AuctionExpired = 5
  }
  enum AuctionHouseSortOrder {
    Price = 0,
    Name = 1,
    Level = 2,
    Bid = 3,
    Buyout = 4,
    TimeRemaining = 5
  }
  enum AuctionHouseTimeLeftBand {
    Short = 0,
    Medium = 1,
    Long = 2,
    VeryLong = 3
  }
  enum AzeriteEssenceSlot {
    MainSlot = 0,
    PassiveOneSlot = 1,
    PassiveTwoSlot = 2,
    PassiveThreeSlot = 3
  }
  enum AzeritePowerLevel {
    Base = 0,
    Upgraded = 1,
    Downgraded = 2
  }
  enum BagFlag {
    DontFindStack = 1,
    AlreadyOwner = 2,
    AlreadyBound = 4,
    Swap = 8,
    BagIsEmpty = 16,
    LookInInventory = 32,
    IgnoreBoundItemCheck = 64,
    StackOnly = 128,
    RecurseQuivers = 256,
    IgnoreBankcheck = 512,
    AllowBagsInNonBagSlots = 1024,
    PreferQuivers = 2048,
    SwapBags = 4096,
    IgnoreExisting = 8192,
    AllowPartialStack = 16384,
    LookInBankOnly = 32768,
    AllowBuyback = 65536,
    IgnorePetBankcheck = 131072,
    PreferPriorityBags = 262144,
    PreferNeutralPriorityBags = 524288,
    LookInReagentsBankOnly = 1048576,
    AsymmetricSwap = 2097152,
    PreferReagentBags = 4194304,
    IgnoreSoulbound = 8388608,
    IgnoreReagentBags = 16777216,
    LookInAccountBankOnly = 33554432,
    HasRefund = 67108864,
    SkipValidCountCheck = 134217728
  }
  enum BagSlotFlags {
    DisableAutoSort = 1,
    ClassEquipment = 2,
    ClassConsumables = 4,
    ClassProfessionGoods = 8,
    ClassJunk = 16,
    ClassQuestItems = 32,
    ExcludeJunkSell = 64,
    ClassReagents = 128,
    ExpansionCurrent = 256,
    ExpansionLegacy = 512
  }
  enum BagIndex {
    Accountbanktab = -5,
    Bankbag = -4,
    Reagentbank = -3,
    Keyring = -2,
    Bank = -1,
    Backpack = 0,
    Bag_1 = 1,
    Bag_2 = 2,
    Bag_3 = 3,
    Bag_4 = 4,
    ReagentBag = 5,
    BankBag_1 = 6,
    BankBag_2 = 7,
    BankBag_3 = 8,
    BankBag_4 = 9,
    BankBag_5 = 10,
    BankBag_6 = 11,
    BankBag_7 = 12,
    AccountBankTab_1 = 13,
    AccountBankTab_2 = 14,
    AccountBankTab_3 = 15,
    AccountBankTab_4 = 16,
    AccountBankTab_5 = 17
  }
  enum BattlePetAbilityFlag {
    DisplayAsHostileDebuff = 1,
    HideStrongWeakHints = 2,
    Passive = 4,
    ServerOnlyAura = 8,
    ShowCast = 16,
    StartOnCooldown = 32
  }
  enum BattlePetAbilitySlot {
    A = 0,
    B = 1,
    C = 2
  }
  enum BattlePetAbilityTargets {
    EnemyFrontPet = 0,
    FriendlyFrontPet = 1,
    Weather = 2,
    EnemyPad = 3,
    FriendlyPad = 4,
    EnemyBackPet_1 = 5,
    EnemyBackPet_2 = 6,
    FriendlyBackPet_1 = 7,
    FriendlyBackPet_2 = 8,
    Caster = 9,
    Owner = 10,
    Specific = 11,
    ProcTarget = 12
  }
  enum BattlePetAbilityTurnFlag {
    CanProcFromProc = 1,
    TriggerBySelf = 2,
    TriggerByFriend = 4,
    TriggerByEnemy = 8,
    TriggerByWeather = 16,
    TriggerByAuraCaster = 32
  }
  enum BattlePetAbilityTurnType {
    Normal = 0,
    TriggeredEffect = 1
  }
  enum BattlePetAbilityType {
    Ability = 0,
    Aura = 1
  }
  enum BattlePetAction {
    None = 0,
    Ability = 1,
    SwitchPet = 2,
    Trap = 3,
    Skip = 4
  }
  enum BattlePetBreedQuality {
    Poor = 0,
    Common = 1,
    Uncommon = 2,
    Rare = 3,
    Epic = 4,
    Legendary = 5
  }
  enum BattlePetEffectFlags {
    EnableAbilityPicker = 1,
    LuaNeedsAllPets = 2
  }
  enum BattlePetEffectParamType {
    Int = 0,
    Ability = 1
  }
  enum BattlePetEvent {
    OnAuraApplied = 0,
    OnDamageTaken = 1,
    OnDamageDealt = 2,
    OnHealTaken = 3,
    OnHealDealt = 4,
    OnAuraRemoved = 5,
    OnRoundStart = 6,
    OnRoundEnd = 7,
    OnTurn = 8,
    OnAbility = 9,
    OnSwapIn = 10,
    OnSwapOut = 11,
    PostAuraTicks = 12
  }
  enum BattlePetNpcEmote {
    BattleUnused = 0,
    BattleStart = 1,
    BattleWin = 2,
    BattleLose = 3,
    PetSwap = 4,
    PetKill = 5,
    PetDie = 6,
    PetAbility = 7
  }
  enum BattlePetNpcTeamFlag {
    MatchPlayerHighPetLevel = 1,
    NoPlayerXP = 2
  }
  enum BattlePetOwner {
    Weather = 0,
    Ally = 1,
    Enemy = 2
  }
  enum BattlePetSources {
    Drop = 0,
    Quest = 1,
    Vendor = 2,
    Profession = 3,
    WildPet = 4,
    Achievement = 5,
    WorldEvent = 6,
    Promotion = 7,
    Tcg = 8,
    PetStore = 9,
    Discovery = 10,
    TradingPost = 11
  }
  enum BattlePetSpeciesFlags {
    NoRename = 1,
    WellKnown = 2,
    NotAcccountwide = 4,
    Capturable = 8,
    NotTradable = 16,
    HideFromJournal = 32,
    LegacyAccountUnique = 64,
    CantBattle = 128,
    HordeOnly = 256,
    AllianceOnly = 512,
    Boss = 1024,
    RandomDisplay = 2048,
    NoLicenseRequired = 4096,
    AddsAllowedWithBoss = 8192,
    HideUntilLearned = 16384,
    MatchPlayerHighPetLevel = 32768,
    NoWildPetAddsAllowed = 65536
  }
  enum BattlePetStateFlag {
    None = 0,
    SwapOutLock = 1,
    TurnLock = 2,
    SpeedBonus = 4,
    Client = 8,
    MaxHealthBonus = 16,
    Stamina = 32,
    QualityDoesNotEffect = 64,
    DynamicScaling = 128,
    Power = 256,
    SpeedMult = 512,
    SwapInLock = 1024,
    ServerOnly = 2048
  }
  enum BattlePetTypes {
    Humanoid = 0,
    Dragonkin = 1,
    Flying = 2,
    Undead = 3,
    Critter = 4,
    Magic = 5,
    Elemental = 6,
    Beast = 7,
    Aquatic = 8,
    Mechanical = 9
  }
  enum BattlePetVisualFlag {
    Test1 = 1,
    Test2 = 2,
    Test3 = 4
  }
  enum BattlePetVisualRange {
    Melee = 0,
    Ranged = 1,
    InPlace = 2,
    PointBlank = 3,
    BehindMelee = 4,
    BehindRanged = 5
  }
  enum BattlepetDbFlags {
    None = 0,
    Favorite = 1,
    Converted = 2,
    Revoked = 4,
    LockedForConvert = 8,
    Ability0Selection = 16,
    Ability1Selection = 32,
    Ability2Selection = 64,
    FanfareNeeded = 128,
    DisplayOverridden = 256,
    AcquiredViaLicense = 512,
    TradingPost = 1024,
    LockMask = 12
  }
  enum BattlepetDeletedReason {
    Unknown = 0,
    PlayerReleased = 1,
    PlayerCaged = 2,
    Gm = 3,
    CageError = 4,
    DelJournal = 5,
    TradingPost = 6
  }
  enum BattlepetSlotLockCheat {
    Cheat_2_Locked = -3,
    Cheat_1_Locked = -2,
    Cheat_0_Locked = -1,
    CheatOff = 0,
    UnlockAll = 1
  }
  enum CalendarCommandType {
    Create = 0,
    Invite = 1,
    Rsvp = 2,
    RemoveInvite = 3,
    RemoveEvent = 4,
    Status = 5,
    ModeratorStatus = 6,
    GetCalendar = 7,
    GetEvent = 8,
    UpdateEvent = 9,
    Complain = 10,
    Notes = 11
  }
  enum CalendarErrorType {
    Success = 0,
    CommunityEventsExceeded = 1,
    EventsExceeded = 2,
    SelfInvitesExceeded = 3,
    OtherInvitesExceeded = 4,
    NoPermission = 5,
    EventInvalid = 6,
    NotInvited = 7,
    UnknownError = 8,
    NotInGuild = 9,
    NotInCommunity = 10,
    TargetAlreadyInvited = 11,
    NameNotFound = 12,
    WrongFaction = 13,
    Ignored = 14,
    InvitesExceeded = 15,
    InvalidMaxSize = 16,
    InvalidDate = 17,
    InvalidTime = 18,
    NoInvites = 19,
    NeedsTitle = 20,
    EventPassed = 21,
    EventLocked = 22,
    DeleteCreatorFailed = 23,
    DataAlreadySet = 24,
    CalendarDisabled = 25,
    RestrictedAccount = 26,
    ArenaEventsExceeded = 27,
    RestrictedLevel = 28,
    Squelched = 29,
    NoInvite = 30,
    ComplaintDisabled = 31,
    ComplaintSelf = 32,
    ComplaintSameGuild = 33,
    ComplaintGm = 34,
    ComplaintLimit = 35,
    ComplaintNotFound = 36,
    EventWrongServer = 37,
    NoCommunityInvites = 38,
    InvalidSignup = 39,
    NoModerator = 40,
    ModeratorRestricted = 41,
    InvalidNotes = 42,
    InvalidTitle = 43,
    InvalidDescription = 44,
    InvalidClub = 45,
    CreatorNotFound = 46,
    EventThrottled = 47,
    InviteThrottled = 48,
    Internal = 49,
    ComplaintAdded = 50
  }
  enum CalendarEventBits {
    Player = 1,
    GuildDeprecated = 2,
    System = 4,
    Holiday = 8,
    Locked = 16,
    AutoApprove = 32,
    CommunityAnnouncement = 64,
    RaidLockout = 128,
    ArenaDeprecated = 256,
    RaidResetDeprecated = 512,
    CommunitySignup = 1024,
    GuildSignup = 2048,
    CommunityWide = 3136,
    PlayerCreated = 3395,
    CantComplain = 3788
  }
  enum CalendarEventRepeatOptions {
    Never = 0,
    Weekly = 1,
    Biweekly = 2,
    Monthly = 3
  }
  enum CalendarEventType {
    Raid = 0,
    Dungeon = 1,
    PvP = 2,
    Meeting = 3,
    Other = 4,
    HeroicDeprecated = 5
  }
  enum CalendarFilterFlags {
    WeeklyHoliday = 1,
    Darkmoon = 2,
    Battleground = 4,
    RaidLockout = 8,
    RaidReset = 16
  }
  enum CalendarGetEventType {
    Get = 0,
    Add = 1,
    Copy = 2
  }
  enum CalendarHolidayFilterType {
    Weekly = 0,
    Darkmoon = 1,
    Battleground = 2
  }
  enum CalendarInviteBits {
    None = 0,
    PendingInvite = 1,
    Moderator = 2,
    Creator = 4,
    Signup = 8
  }
  enum CalendarInviteSortType {
    Name = 0,
    Level = 1,
    Class = 2,
    Status = 3,
    Party = 4,
    Notes = 5
  }
  enum CalendarInviteType {
    Normal = 0,
    Signup = 1
  }
  enum CalendarModeratorStatus {
    None = 0,
    Moderator = 1,
    Creator = 2
  }
  enum CalendarStatus {
    Invited = 0,
    Available = 1,
    Declined = 2,
    Confirmed = 3,
    Out = 4,
    Standby = 5,
    Signedup = 6,
    NotSignedup = 7,
    Tentative = 8
  }
  enum CalendarTexturesType {
    Dungeons = 0,
    Raid = 1
  }
  enum CalendarType {
    Player = 0,
    Community = 1,
    RaidLockout = 2,
    RaidResetDeprecated = 3,
    Holiday = 4,
    HolidayWeekly = 5,
    HolidayDarkmoon = 6,
    HolidayBattleground = 7
  }
  enum CalendarWebActionType {
    Accept = 0,
    Decline = 1,
    Remove = 2,
    ReportSpam = 3,
    Signup = 4,
    Tentative = 5,
    TentativeSignup = 6
  }
  enum HolidayCalendarFlags {
    Alliance = 1,
    Horde = 2
  }
  enum HolidayFlags {
    IsRegionwide = 1,
    DontShowInCalendar = 2,
    DontDisplayEnd = 4,
    DontDisplayBanner = 8,
    NotAvailableClientSide = 16,
    DurationUseMinutes = 32,
    BeginEventOnlyOnStageChange = 64
  }
  enum CameraModeAspectRatio {
    Default = 0,
    LegacyLetterbox = 1,
    HighDefinition_16_X_9 = 2,
    Cinemascope_2_Dot_4_X_1 = 3
  }
  enum CharCustomizationType {
    Skin = 0,
    Face = 1,
    Hair = 2,
    HairColor = 3,
    FacialHair = 4,
    CustomOptionTattoo = 5,
    CustomOptionHorn = 6,
    CustomOptionFacewear = 7,
    CustomOptionTattooColor = 8,
    Outfit = 9,
    Facepaint = 10,
    FacepaintColor = 11
  }
  enum ChrCustomizationCategoryFlag {
    UndressModel = 1,
    Subcategory = 2
  }
  enum ChrCustomizationOptionType {
    Dropdown = 0,
    Checkbox = 1,
    Slider = 2
  }
  enum ChrModelFeatureFlags {
    Summons = 1,
    Forms = 2,
    Identity = 4,
    DragonCompanions = 8,
    Mounts = 16,
    HunterPets = 32
  }
  enum CustomizationScope {
    Player = 0,
    DragonCompanion = 1
  }
  enum WarbandEventState {
    None = 0,
    DelayingEvent = 1,
    SheathingWeapon = 2,
    DelayingStandStateTransition = 3,
    StandStateTransitioning = 4,
    ShowingWeapon = 5,
    StandStateLooping = 6,
    NumWarbandEventStates = 7
  }
  enum WarbandGroupFlags {
    None = 0,
    Collapsed = 1
  }
  enum WarbandSceneAnimationEvent {
    StartingPose = 0,
    Idle = 1,
    Mouseover = 2,
    Select = 3,
    Deselect = 4,
    Insert = 5,
    EnterWorld = 6,
    Spin = 7,
    Poke = 8
  }
  enum WarbandSceneAnimationSheatheState {
    Maintain = 0,
    SheatheWeapons = 1,
    ShowWeapons = 2
  }
  enum WarbandSceneAnimationStandState {
    Maintain = 0,
    Stand = 1,
    SitOnGround = 2,
    Kneel = 3,
    ReadyStance = 4,
    Sleep = 5
  }
  enum WarbandSceneSlotType {
    Character = 0,
    Pet = 1
  }
  enum ChatChannelRuleset {
    None = 0,
    Mentor = 1,
    Disabled = 2,
    ChromieTimeCataclysm = 3,
    ChromieTimeBuringCrusade = 4,
    ChromieTimeWrath = 5,
    ChromieTimeMists = 6,
    ChromieTimeWoD = 7,
    ChromieTimeLegion = 8
  }
  enum ChatChannelType {
    None = 0,
    Custom = 1,
    PrivateParty = 2,
    PublicParty = 3,
    Communities = 4
  }
  enum ChatToxityFilterOptOut {
    FilterAll = 0,
    ExcludeFilterFriend = 1,
    ExcludeFilterGuild = 2,
    ExcludeFilterAll = 4294967295
  }
  enum ChatWhisperTargetStatus {
    CanWhisper = 0,
    CanWhisperGuild = 1,
    Offline = 2,
    WrongFaction = 3
  }
  enum ExcludedCensorSources {
    None = 0,
    Friends = 1,
    Guild = 2,
    Reserve1 = 4,
    Reserve2 = 8,
    Reserve3 = 16,
    Reserve4 = 32,
    Reserve5 = 64,
    Reserve6 = 128,
    All = 255
  }
  enum LanguageFlag {
    IsExotic = 1,
    HiddenFromPlayer = 2,
    HideLanguageNameInChat = 4
  }
  enum PermanentChatChannelType {
    None = 0,
    Zone = 1,
    Communities = 2,
    Custom = 3
  }
  enum TtsBoolSetting {
    PlaySoundSeparatingChatLineBreaks = 0,
    AddCharacterNameToSpeech = 1,
    PlayActivitySoundWhenNotFocused = 2,
    AlternateSystemVoice = 3,
    NarrateMyMessages = 4
  }
  enum TtsVoiceType {
    Standard = 0,
    Alternate = 1
  }
  enum RegisterAddonMessagePrefixResult {
    Success = 0,
    DuplicatePrefix = 1,
    InvalidPrefix = 2,
    MaxPrefixes = 3
  }
  enum SendAddonMessageResult {
    Success = 0,
    InvalidPrefix = 1,
    InvalidMessage = 2,
    AddonMessageThrottle = 3,
    InvalidChatType = 4,
    NotInGroup = 5,
    TargetRequired = 6,
    InvalidChannel = 7,
    ChannelThrottle = 8,
    GeneralError = 9
  }
  enum CinematicType {
    GlueMovie = 0,
    GameMovie = 1,
    GameClientScene = 2,
    GameCinematicSequence = 3
  }
  enum LoadConfigResult {
    Error = 0,
    NoChangesNecessary = 1,
    LoadInProgress = 2,
    Ready = 3
  }
  enum ClickBindingInteraction {
    Target = 1,
    OpenContextMenu = 2
  }
  enum ClickBindingType {
    None = 0,
    Spell = 1,
    Macro = 2,
    Interaction = 3,
    PetAction = 4
  }
  enum ClientSceneType {
    DefaultSceneType = 0,
    MinigameSceneType = 1
  }
  enum ClientSettingsConfigFlag {
    ClientSettingsConfigDebug = 1,
    ClientSettingsConfigInternal = 2,
    ClientSettingsConfigPerf = 4,
    ClientSettingsConfigGm = 8,
    ClientSettingsConfigTest = 16,
    ClientSettingsConfigTestRetail = 32,
    ClientSettingsConfigBeta = 64,
    ClientSettingsConfigBetaRetail = 128,
    ClientSettingsConfigRetail = 256
  }
  enum ClubActionType {
    ErrorClubActionSubscribe = 0,
    ErrorClubActionCreate = 1,
    ErrorClubActionEdit = 2,
    ErrorClubActionDestroy = 3,
    ErrorClubActionLeave = 4,
    ErrorClubActionCreateTicket = 5,
    ErrorClubActionDestroyTicket = 6,
    ErrorClubActionRedeemTicket = 7,
    ErrorClubActionGetTicket = 8,
    ErrorClubActionGetTickets = 9,
    ErrorClubActionGetBans = 10,
    ErrorClubActionGetInvitations = 11,
    ErrorClubActionRevokeInvitation = 12,
    ErrorClubActionAcceptInvitation = 13,
    ErrorClubActionDeclineInvitation = 14,
    ErrorClubActionCreateStream = 15,
    ErrorClubActionEditStream = 16,
    ErrorClubActionDestroyStream = 17,
    ErrorClubActionInviteMember = 18,
    ErrorClubActionEditMember = 19,
    ErrorClubActionEditMemberNote = 20,
    ErrorClubActionKickMember = 21,
    ErrorClubActionAddBan = 22,
    ErrorClubActionRemoveBan = 23,
    ErrorClubActionCreateMessage = 24,
    ErrorClubActionEditMessage = 25,
    ErrorClubActionDestroyMessage = 26
  }
  enum ClubErrorType {
    ErrorCommunitiesNone = 0,
    ErrorCommunitiesUnknown = 1,
    ErrorCommunitiesNeutralFaction = 2,
    ErrorCommunitiesUnknownRealm = 3,
    ErrorCommunitiesBadTarget = 4,
    ErrorCommunitiesWrongFaction = 5,
    ErrorCommunitiesRestricted = 6,
    ErrorCommunitiesIgnored = 7,
    ErrorCommunitiesGuild = 8,
    ErrorCommunitiesWrongRegion = 9,
    ErrorCommunitiesUnknownTicket = 10,
    ErrorCommunitiesMissingShortName = 11,
    ErrorCommunitiesProfanity = 12,
    ErrorCommunitiesTrial = 13,
    ErrorCommunitiesVeteranTrial = 14,
    ErrorCommunitiesChatMute = 15,
    ErrorClubFull = 16,
    ErrorClubNoClub = 17,
    ErrorClubNotMember = 18,
    ErrorClubAlreadyMember = 19,
    ErrorClubNoSuchMember = 20,
    ErrorClubNoSuchInvitation = 21,
    ErrorClubInvitationAlreadyExists = 22,
    ErrorClubInvalidRoleID = 23,
    ErrorClubInsufficientPrivileges = 24,
    ErrorClubTooManyClubsJoined = 25,
    ErrorClubVoiceFull = 26,
    ErrorClubStreamNoStream = 27,
    ErrorClubStreamInvalidName = 28,
    ErrorClubStreamCountAtMin = 29,
    ErrorClubStreamCountAtMax = 30,
    ErrorClubMemberHasRequiredRole = 31,
    ErrorClubSentInvitationCountAtMax = 32,
    ErrorClubReceivedInvitationCountAtMax = 33,
    ErrorClubTargetIsBanned = 34,
    ErrorClubBanAlreadyExists = 35,
    ErrorClubBanCountAtMax = 36,
    ErrorClubTicketCountAtMax = 37,
    ErrorClubTicketNoSuchTicket = 38,
    ErrorClubTicketHasConsumedAllowedRedeemCount = 39,
    ErrorClubDoesntAllowCrossFaction = 40,
    ErrorClubEditHasCrossFactionMembers = 41
  }
  enum ClubFieldType {
    ClubName = 0,
    ClubShortName = 1,
    ClubDescription = 2,
    ClubBroadcast = 3,
    ClubStreamName = 4,
    ClubStreamSubject = 5,
    NumTypes = 6
  }
  enum ClubInvitationCandidateStatus {
    Available = 0,
    InvitePending = 1,
    AlreadyMember = 2
  }
  enum ClubMemberPresence {
    Unknown = 0,
    Online = 1,
    OnlineMobile = 2,
    Offline = 3,
    Away = 4,
    Busy = 5
  }
  enum ClubRemovedReason {
    None = 0,
    Banned = 1,
    Removed = 2,
    ClubDestroyed = 3
  }
  enum ClubRestrictionReason {
    None = 0,
    Unavailable = 1
  }
  enum ClubStreamNotificationFilter {
    None = 0,
    Mention = 1,
    All = 2
  }
  enum ClubStreamType {
    General = 0,
    Guild = 1,
    Officer = 2,
    Other = 3
  }
  enum ClubType {
    BattleNet = 0,
    Character = 1,
    Guild = 2,
    Other = 3
  }
  enum ClubFinderApplicationUpdateType {
    None = 0,
    AcceptInvite = 1,
    DeclineInvite = 2,
    Cancel = 3
  }
  enum ClubFinderClubPostingStatusFlags {
    None = 0,
    NeedsCacheUpdate = 1,
    ForceDescriptionChange = 2,
    ForceNameChange = 3,
    UnderReview = 4,
    Banned = 5,
    FakePost = 6,
    PendingDelete = 7,
    PostDelisted = 8
  }
  enum ClubFinderDisableReason {
    Muted = 0,
    Silenced = 1,
    VeteranTrial = 2
  }
  enum ClubFinderPostingReportType {
    PostersName = 0,
    ClubName = 1,
    PostingDescription = 2,
    ApplicantsName = 3,
    JoinNote = 4
  }
  enum ClubFinderRequestType {
    None = 0,
    Guild = 1,
    Community = 2,
    All = 3
  }
  enum ClubFinderSettingFlags {
    None = 0,
    Dungeons = 1,
    Raids = 2,
    PvP = 3,
    RP = 4,
    Social = 5,
    Small = 6,
    Medium = 7,
    Large = 8,
    Tank = 9,
    Healer = 10,
    Damage = 11,
    EnableListing = 12,
    MaxLevelOnly = 13,
    AutoAccept = 14,
    FactionHorde = 15,
    FactionAlliance = 16,
    FactionNeutral = 17,
    SortRelevance = 18,
    SortMemberCount = 19,
    SortNewest = 20,
    LanguageReserved1 = 21,
    LanguageReserved2 = 22,
    LanguageReserved3 = 23,
    LanguageReserved4 = 24,
    LanguageReserved5 = 25
  }
  enum PlayerClubRequestStatus {
    None = 0,
    Pending = 1,
    AutoApproved = 2,
    Declined = 3,
    Approved = 4,
    Joined = 5,
    JoinedAnother = 6,
    Canceled = 7
  }
  enum ClubRoleIdentifier {
    Owner = 1,
    Leader = 2,
    Moderator = 3,
    Member = 4
  }
  enum TrackedSpellCategory {
    None = 0,
    Offensive = 1,
    Defensive = 2,
    Debuff = 3,
    RacialAbility = 4
  }
  enum ConfigurationWarning {
    ShaderModelWillBeOutdated = 0,
    ShaderModelIsOutdated = 1,
    ConsoleDeviceSseOutdated = 2,
    DriverBlocklisted = 3,
    DriverOutOfDate = 4,
    DeviceBlocklisted = 5,
    GraphicsApiWillBeOutdated = 6,
    OsBitsWillBeOutdated = 7
  }
  enum ConsoleCategory {
    Debug = 0,
    Graphics = 1,
    Console = 2,
    Combat = 3,
    Game = 4,
    Default = 5,
    Net = 6,
    Sound = 7,
    Gm = 8,
    Reveal = 9,
    None = 10
  }
  enum ConsoleColorType {
    DefaultColor = 0,
    InputColor = 1,
    EchoColor = 2,
    ErrorColor = 3,
    WarningColor = 4,
    GlobalColor = 5,
    AdminColor = 6,
    HighlightColor = 7,
    BackgroundColor = 8,
    ClickbufferColor = 9,
    PrivateColor = 10,
    DefaultGreen = 11
  }
  enum ConsoleCommandType {
    Cvar = 0,
    Command = 1,
    Macro = 2,
    Script = 3
  }
  enum ContentTrackingError {
    Untrackable = 0,
    MaxTracked = 1,
    AlreadyTracked = 2
  }
  enum ContentTrackingResult {
    Success = 0,
    DataPending = 1,
    Failure = 2
  }
  enum ContentTrackingStopType {
    Invalidated = 0,
    Collected = 1,
    Manual = 2
  }
  enum ContentTrackingTargetType {
    JournalEncounter = 0,
    Vendor = 1,
    Achievement = 2,
    Profession = 3,
    Quest = 4
  }
  enum ContentTrackingType {
    Appearance = 0,
    Mount = 1,
    Achievement = 2
  }
  enum ContributionAppearanceFlags {
    TooltipUseTimeRemaining = 0
  }
  enum ContributionResult {
    Success = 0,
    MustBeNearNpc = 1,
    IncorrectState = 2,
    InvalidID = 3,
    QuestDataMissing = 4,
    FailedConditionCheck = 5,
    UnableToCompleteTurnIn = 6,
    InternalError = 7
  }
  enum CallingStates {
    QuestOffer = 0,
    QuestActive = 1,
    QuestCompleted = 2
  }
  enum CovenantAbilityType {
    Class = 0,
    Signature = 1,
    Soulbind = 2
  }
  enum CraftingOrderCustomerCategoryType {
    Primary = 0,
    Secondary = 1,
    Tertiary = 2
  }
  enum CraftingOrderReagentsType {
    All = 0,
    Some = 1,
    None = 2
  }
  enum AccountCurrencyTransferResult {
    Success = 0,
    InvalidCharacter = 1,
    CharacterLoggedIn = 2,
    InsufficientCurrency = 3,
    MaxQuantity = 4,
    InvalidCurrency = 5,
    NoValidSourceCharacter = 6,
    ServerError = 7,
    CannotUseCurrency = 8
  }
  enum CurrencyFlags {
    CurrencyTradable = 1,
    CurrencyAppearsInLootWindow = 2,
    CurrencyComputedWeeklyMaximum = 4,
    Currency_100_Scaler = 8,
    CurrencyNoLowLevelDrop = 16,
    CurrencyIgnoreMaxQtyOnLoad = 32,
    CurrencyLogOnWorldChange = 64,
    CurrencyTrackQuantity = 128,
    CurrencyResetTrackedQuantity = 256,
    CurrencyUpdateVersionIgnoreMax = 512,
    CurrencySuppressChatMessageOnVersionChange = 1024,
    CurrencySingleDropInLoot = 2048,
    CurrencyHasWeeklyCatchup = 4096,
    CurrencyDoNotCompressChat = 8192,
    CurrencyDoNotLogAcquisitionToBi = 16384,
    CurrencyNoRaidDrop = 32768,
    CurrencyNotPersistent = 65536,
    CurrencyDeprecated = 131072,
    CurrencyDynamicMaximum = 262144,
    CurrencySuppressChatMessages = 524288,
    CurrencyDoNotToast = 1048576,
    CurrencyDestroyExtraOnLoot = 2097152,
    CurrencyDontShowTotalInTooltip = 4194304,
    CurrencyDontCoalesceInLootWindow = 8388608,
    CurrencyAccountWide = 16777216,
    CurrencyAllowOverflowMailer = 33554432,
    CurrencyHideAsReward = 67108864,
    CurrencyHasWarmodeBonus = 134217728,
    CurrencyIsAllianceOnly = 268435456,
    CurrencyIsHordeOnly = 536870912,
    CurrencyLimitWarmodeBonusOncePerTooltip = 1073741824,
    DeprecatedCurrencyFlag = 2147483648
  }
  enum CurrencyFlagsB {
    CurrencyBUseTotalEarnedForEarned = 1,
    CurrencyBShowQuestXPGainInTooltip = 2,
    CurrencyBNoNotificationMailOnOfflineProgress = 4,
    CurrencyBBattlenetVirtualCurrency = 8,
    FutureCurrencyFlag = 16,
    CurrencyBDontDisplayIfZero = 32,
    CurrencyBScaleMaxQuantityBySeasonWeeks = 64,
    CurrencyBScaleMaxQuantityByWeeksSinceStart = 128
  }
  enum CurrencyGainFlags {
    None = 0,
    BonusAward = 1,
    DroppedFromDeath = 2,
    FromAccountServer = 4,
    Autotracking = 8
  }
  enum CurrencyTokenCategoryFlags {
    FlagSortLast = 1,
    FlagPlayerItemAssignment = 2,
    Hidden = 4,
    Virtual = 8,
    StartsCollapsed = 16
  }
  enum LinkedCurrencyFlags {
    IgnoreAdd = 1,
    IgnoreSubtract = 2,
    SuppressChatLog = 4,
    AddIgnoresMax = 8
  }
  enum PlayerCurrencyFlags {
    Incremented = 1,
    Loading = 2
  }
  enum PlayerCurrencyFlagsDbFlags {
    IgnoreMaxQtyOnload = 1,
    Reuse1 = 2,
    InBackpack = 4,
    UnusedInUI = 8,
    Reuse2 = 16
  }
  enum CurrencyDestroyReason {
    Cheat = 0,
    Spell = 1,
    VersionUpdate = 2,
    QuestTurnin = 3,
    Vendor = 4,
    Trade = 5,
    Capped = 6,
    Garrison = 7,
    DroppedToCorpse = 8,
    BonusRoll = 9,
    FactionConversion = 10,
    FulfillCraftingOrder = 11,
    Script = 12,
    ConcentrationCast = 13,
    AccountTransfer = 14
  }
  enum CurrencySource {
    ConvertOldItem = 0,
    ConvertOldPvPCurrency = 1,
    ItemRefund = 2,
    QuestReward = 3,
    Cheat = 4,
    Vendor = 5,
    PvPKillCredit = 6,
    PvPMetaCredit = 7,
    PvPScriptedAward = 8,
    Loot = 9,
    UpdatingVersion = 10,
    LFGReward = 11,
    Trade = 12,
    Spell = 13,
    ItemDeletion = 14,
    RatedBattleground = 15,
    RandomBattleground = 16,
    Arena = 17,
    ExceededMaxQty = 18,
    PvPCompletionBonus = 19,
    Script = 20,
    GuildBankWithdrawal = 21,
    Pushloot = 22,
    GarrisonBuilding = 23,
    PvPDrop = 24,
    GarrisonFollowerActivation = 25,
    GarrisonBuildingRefund = 26,
    GarrisonMissionReward = 27,
    GarrisonResourceOverTime = 28,
    QuestRewardIgnoreCapsDeprecated = 29,
    GarrisonTalent = 30,
    GarrisonWorldQuestBonus = 31,
    PvPHonorReward = 32,
    BonusRoll = 33,
    AzeriteRespec = 34,
    WorldQuestReward = 35,
    WorldQuestRewardIgnoreCapsDeprecated = 36,
    FactionConversion = 37,
    DailyQuestReward = 38,
    DailyQuestWarModeReward = 39,
    WeeklyQuestReward = 40,
    WeeklyQuestWarModeReward = 41,
    AccountCopy = 42,
    WeeklyRewardChest = 43,
    GarrisonTalentTreeReset = 44,
    DailyReset = 45,
    AddConduitToCollection = 46,
    Barbershop = 47,
    ConvertItemsToCurrencyValue = 48,
    PvPTeamContribution = 49,
    Transmogrify = 50,
    AuctionDeposit = 51,
    PlayerTrait = 52,
    PhBuffer_53 = 53,
    PhBuffer_54 = 54,
    RenownRepGain = 55,
    CraftingOrder = 56,
    CatalystBalancing = 57,
    CatalystCraft = 58,
    ProfessionInitialAward = 59,
    PlayerTraitRefund = 60,
    AccountHwmUpdate = 61,
    ConvertItemsToCurrencyAndReputation = 62,
    PhBuffer_63 = 63,
    SpellSkipLinkedCurrency = 64,
    AccountTransfer = 65
  }
  enum CursorStyle {
    Mouse = 0,
    Crosshair = 1
  }
  enum Cursormode {
    NoCursor = 0,
    PointCursor = 1,
    CastCursor = 2,
    BuyCursor = 3,
    AttackCursor = 4,
    InteractCursor = 5,
    SpeakCursor = 6,
    InspectCursor = 7,
    PickupCursor = 8,
    TaxiCursor = 9,
    TrainerCursor = 10,
    MineCursor = 11,
    SkinCursor = 12,
    GatherCursor = 13,
    LockCursor = 14,
    MailCursor = 15,
    LootAllCursor = 16,
    RepairCursor = 17,
    RepairnpcCursor = 18,
    ItemCursor = 19,
    SkinHordeCursor = 20,
    SkinAllianceCursor = 21,
    InnkeeperCursor = 22,
    CampaignQuestCursor = 23,
    CampaignQuestTurninCursor = 24,
    QuestCursor = 25,
    QuestRepeatableCursor = 26,
    QuestTurninCursor = 27,
    QuestLegendaryCursor = 28,
    QuestLegendaryTurninCursor = 29,
    QuestImportantCursor = 30,
    QuestImportantTurninCursor = 31,
    QuestMetaCursor = 32,
    QuestMetaTurninCursor = 33,
    QuestRecurringCursor = 34,
    QuestRecurringTurninCursor = 35,
    VehicleCursor = 36,
    MapPinCursor = 37,
    PingCursor = 38,
    EnchantCursor = 39,
    UIMoveCursor = 40,
    UIResizeCursor = 41,
    PointErrorCursor = 42,
    CastErrorCursor = 43,
    BuyErrorCursor = 44,
    AttackErrorCursor = 45,
    InteractErrorCursor = 46,
    SpeakErrorCursor = 47,
    InspectErrorCursor = 48,
    PickupErrorCursor = 49,
    TaxiErrorCursor = 50,
    TrainerErrorCursor = 51,
    MineErrorCursor = 52,
    SkinErrorCursor = 53,
    GatherErrorCursor = 54,
    LockErrorCursor = 55,
    MailErrorCursor = 56,
    LootAllErrorCursor = 57,
    RepairErrorCursor = 58,
    RepairnpcErrorCursor = 59,
    ItemErrorCursor = 60,
    SkinHordeErrorCursor = 61,
    SkinAllianceErrorCursor = 62,
    InnkeeperErrorCursor = 63,
    CampaignQuestErrorCursor = 64,
    CampaignQuestTurninErrorCursor = 65,
    QuestErrorCursor = 66,
    QuestRepeatableErrorCursor = 67,
    QuestTurninErrorCursor = 68,
    QuestLegendaryErrorCursor = 69,
    QuestLegendaryTurninErrorCursor = 70,
    QuestImportantErrorCursor = 71,
    QuestImportantTurninErrorCursor = 72,
    QuestMetaErrorCursor = 73,
    QuestMetaTurninErrorCursor = 74,
    QuestRecurringErrorCursor = 75,
    QuestRecurringTurninErrorCursor = 76,
    VehicleErrorCursor = 77,
    MapPinErrorCursor = 78,
    PingErrorCursor = 79,
    EnchantErrorCursor = 80,
    CustomCursor = 81
  }
  enum UICursorType {
    Default = 0,
    Item = 1,
    Money = 2,
    Spell = 3,
    PetAction = 4,
    Merchant = 5,
    ActionBar = 6,
    Macro = 7,
    AmmoObsolete = 8,
    Pet = 9,
    GuildBank = 10,
    GuildBankMoney = 11,
    EquipmentSet = 12,
    Currency = 13,
    Flyout = 14,
    VoidItem = 15,
    BattlePet = 16,
    Mount = 17,
    Toy = 18,
    ConduitCollectionItem = 19,
    PerksProgramVendorItem = 20
  }
  enum WorldCursorAnchorType {
    None = 0,
    Default = 1,
    Cursor = 2,
    Nameplate = 3
  }
  enum Causeofdeath {
    None = 0,
    PlayerPvP = 1,
    PlayerDuel = 2,
    Creature = 3,
    Falling = 4,
    Drowning = 5,
    Fatigue = 6,
    Slime = 7,
    Lava = 8,
    Fire = 9
  }
  enum CauseofdeathFlags {
    NoneNeeded = 0,
    PlayerNameNeeded = 1,
    CreatureNameNeeded = 2,
    ZoneNameNeeded = 4
  }
  enum Damageclass {
    Physical = 0,
    Holy = 1,
    Fire = 2,
    Nature = 3,
    Frost = 4,
    Shadow = 5,
    Arcane = 6,
    FirstResist = 2,
    LastResist = 6,
    MaskNone = 0,
    MaskPhysical = 1,
    MaskHoly = 2,
    MaskFire = 4,
    MaskNature = 8,
    MaskFrost = 16,
    MaskShadow = 32,
    MaskArcane = 64,
    AllPhysical = 1,
    AllMagical = 126,
    All = 127,
    MaskFlamestrike = 5,
    MaskFroststrike = 17,
    MaskSpellstrike = 65,
    MaskShadowstrike = 33,
    MaskStormstrike = 9,
    MaskHolystrike = 3,
    MaskFrostfire = 20,
    MaskSpellfire = 68,
    MaskFirestorm = 12,
    MaskShadowflame = 36,
    MaskHolyfire = 6,
    MaskSpellfrost = 80,
    MaskFroststorm = 24,
    MaskShadowfrost = 48,
    MaskHolyfrost = 18,
    MaskSpellstorm = 72,
    MaskSpellshadow = 96,
    MaskDivine = 66,
    MaskShadowstorm = 40,
    MaskHolystorm = 10,
    MaskTwilight = 34,
    MaskElemental = 28,
    MaskChromatic = 62,
    MaskMagical = 126,
    MaskChaos = 124,
    MaskCosmic = 106
  }
  enum DamageclassType {
    Physical = 0,
    Magical = 1
  }
  enum EnvironmentalDamageFlags {
    OneTime = 1,
    DmgIsPct = 2
  }
  enum Environmentaldamagetype {
    Fatigue = 0,
    Drowning = 1,
    Falling = 2,
    Lava = 3,
    Slime = 4,
    Fire = 5
  }
  enum TimeEventFlag {
    GlueScreenShortcut = 1,
    WeeklyReset = 2,
    GlobalLaunch = 4
  }
  enum SelfResurrectOptionType {
    Spell = 0,
    Item = 1
  }
  enum CompanionConfigSlotTypes {
    Role = 0,
    Utility = 1,
    Combat = 2
  }
  enum CurioRarity {
    Common = 1,
    Uncommon = 2,
    Rare = 3,
    Epic = 4
  }
  enum CompanionRoleType {
    Dps = 0,
    Heal = 1
  }
  enum CurioType {
    Combat = 0,
    Utility = 1
  }
  enum ActionBarOrientation {
    Horizontal = 0,
    Vertical = 1
  }
  enum ActionBarVisibleSetting {
    Always = 0,
    InCombat = 1,
    OutOfCombat = 2,
    Hidden = 3
  }
  enum AuraFrameIconDirection {
    Down = 0,
    Up = 1,
    Left = 0,
    Right = 1
  }
  enum AuraFrameIconWrap {
    Down = 0,
    Up = 1,
    Left = 0,
    Right = 1
  }
  enum AuraFrameOrientation {
    Horizontal = 0,
    Vertical = 1
  }
  enum BagsDirection {
    Left = 0,
    Right = 1,
    Up = 0,
    Down = 1
  }
  enum BagsOrientation {
    Horizontal = 0,
    Vertical = 1
  }
  enum EditModeAccountSetting {
    ShowGrid = 0,
    GridSpacing = 1,
    SettingsExpanded = 2,
    ShowTargetAndFocus = 3,
    ShowStanceBar = 4,
    ShowPetActionBar = 5,
    ShowPossessActionBar = 6,
    ShowCastBar = 7,
    ShowEncounterBar = 8,
    ShowExtraAbilities = 9,
    ShowBuffsAndDebuffs = 10,
    DeprecatedShowDebuffFrame = 11,
    ShowPartyFrames = 12,
    ShowRaidFrames = 13,
    ShowTalkingHeadFrame = 14,
    ShowVehicleLeaveButton = 15,
    ShowBossFrames = 16,
    ShowArenaFrames = 17,
    ShowLootFrame = 18,
    ShowHudTooltip = 19,
    ShowStatusTrackingBar2 = 20,
    ShowDurabilityFrame = 21,
    EnableSnap = 22,
    EnableAdvancedOptions = 23,
    ShowPetFrame = 24,
    ShowTimerBars = 25,
    ShowVehicleSeatIndicator = 26,
    ShowArchaeologyBar = 27
  }
  enum EditModeActionBarSetting {
    Orientation = 0,
    NumRows = 1,
    NumIcons = 2,
    IconSize = 3,
    IconPadding = 4,
    VisibleSetting = 5,
    HideBarArt = 6,
    DeprecatedSnapToSide = 7,
    HideBarScrolling = 8,
    AlwaysShowButtons = 9
  }
  enum EditModeActionBarSystemIndices {
    MainBar = 1,
    Bar2 = 2,
    Bar3 = 3,
    RightBar1 = 4,
    RightBar2 = 5,
    ExtraBar1 = 6,
    ExtraBar2 = 7,
    ExtraBar3 = 8,
    StanceBar = 11,
    PetActionBar = 12,
    PossessActionBar = 13
  }
  enum EditModeArchaeologyBarSetting {
    Size = 0
  }
  enum EditModeAuraFrameSetting {
    Orientation = 0,
    IconWrap = 1,
    IconDirection = 2,
    IconLimitBuffFrame = 3,
    IconLimitDebuffFrame = 4,
    IconSize = 5,
    IconPadding = 6,
    DeprecatedShowFull = 7
  }
  enum EditModeAuraFrameSystemIndices {
    BuffFrame = 1,
    DebuffFrame = 2
  }
  enum EditModeBagsSetting {
    Orientation = 0,
    Direction = 1,
    Size = 2
  }
  enum EditModeCastBarSetting {
    BarSize = 0,
    LockToPlayerFrame = 1,
    ShowCastTime = 2
  }
  enum EditModeChatFrameSetting {
    WidthHundreds = 0,
    WidthTensAndOnes = 1,
    HeightHundreds = 2,
    HeightTensAndOnes = 3
  }
  enum EditModeDurabilityFrameSetting {
    Size = 0
  }
  enum EditModeLayoutType {
    Preset = 0,
    Account = 1,
    Character = 2,
    Override = 3
  }
  enum EditModeMicroMenuSetting {
    Orientation = 0,
    Order = 1,
    Size = 2,
    EyeSize = 3
  }
  enum EditModeMinimapSetting {
    HeaderUnderneath = 0,
    RotateMinimap = 1,
    Size = 2
  }
  enum EditModeObjectiveTrackerSetting {
    Height = 0,
    Opacity = 1,
    TextSize = 2
  }
  enum EditModePresetLayouts {
    Modern = 0,
    Classic = 1
  }
  enum EditModeSettingDisplayType {
    Dropdown = 0,
    Checkbox = 1,
    Slider = 2
  }
  enum EditModeStatusTrackingBarSetting {
    Height = 0,
    Width = 1,
    TextSize = 2
  }
  enum EditModeStatusTrackingBarSystemIndices {
    StatusTrackingBar1 = 1,
    StatusTrackingBar2 = 2
  }
  enum EditModeSystem {
    ActionBar = 0,
    CastBar = 1,
    Minimap = 2,
    UnitFrame = 3,
    EncounterBar = 4,
    ExtraAbilities = 5,
    AuraFrame = 6,
    TalkingHeadFrame = 7,
    ChatFrame = 8,
    VehicleLeaveButton = 9,
    LootFrame = 10,
    HudTooltip = 11,
    ObjectiveTracker = 12,
    MicroMenu = 13,
    Bags = 14,
    StatusTrackingBar = 15,
    DurabilityFrame = 16,
    TimerBars = 17,
    VehicleSeatIndicator = 18,
    ArchaeologyBar = 19
  }
  enum EditModeTimerBarsSetting {
    Size = 0
  }
  enum EditModeUnitFrameSetting {
    HidePortrait = 0,
    CastBarUnderneath = 1,
    BuffsOnTop = 2,
    UseLargerFrame = 3,
    UseRaidStylePartyFrames = 4,
    ShowPartyFrameBackground = 5,
    UseHorizontalGroups = 6,
    CastBarOnSide = 7,
    ShowCastTime = 8,
    ViewRaidSize = 9,
    FrameWidth = 10,
    FrameHeight = 11,
    DisplayBorder = 12,
    RaidGroupDisplayType = 13,
    SortPlayersBy = 14,
    RowSize = 15,
    FrameSize = 16,
    ViewArenaSize = 17
  }
  enum EditModeUnitFrameSystemIndices {
    Player = 1,
    Target = 2,
    Focus = 3,
    Party = 4,
    Raid = 5,
    Boss = 6,
    Arena = 7,
    Pet = 8
  }
  enum EditModeVehicleSeatIndicatorSetting {
    Size = 0
  }
  enum MicroMenuOrder {
    Default = 0,
    Reverse = 1
  }
  enum MicroMenuOrientation {
    Horizontal = 0,
    Vertical = 1
  }
  enum RaidGroupDisplayType {
    SeparateGroupsVertical = 0,
    SeparateGroupsHorizontal = 1,
    CombineGroupsVertical = 2,
    CombineGroupsHorizontal = 3
  }
  enum SortPlayersBy {
    Role = 0,
    Group = 1,
    Alphabetical = 2
  }
  enum ViewArenaSize {
    Two = 0,
    Three = 1
  }
  enum ViewRaidSize {
    Ten = 0,
    TwentyFive = 1,
    Forty = 2
  }
  enum JournalEncounterFlags {
    Obsolete = 1,
    LimitDifficulties = 2,
    AllianceOnly = 4,
    HordeOnly = 8,
    NoMap = 16,
    InternalOnly = 32,
    DoNotDisplayEncounter = 64
  }
  enum JournalEncounterIconFlags {
    Tank = 1,
    Dps = 2,
    Healer = 4,
    Heroic = 8,
    Deadly = 16,
    Important = 32,
    Interruptible = 64,
    Magic = 128,
    Curse = 256,
    Poison = 512,
    Disease = 1024,
    Enrage = 2048,
    Mythic = 4096,
    Bleed = 8192
  }
  enum JournalEncounterItemFlags {
    Obsolete = 1,
    LimitDifficulties = 2,
    DisplayAsPerPlayerLoot = 4,
    DisplayAsVeryRare = 8,
    DisplayAsExtremelyRare = 16
  }
  enum JournalEncounterLocFlags {
    Primary = 1
  }
  enum JournalEncounterSecTypes {
    Generic = 0,
    Creature = 1,
    Ability = 2,
    Overview = 3
  }
  enum JournalEncounterSectionFlags {
    StartExpanded = 1,
    LimitDifficulties = 2
  }
  enum JournalInstanceFlags {
    Timewalker = 1,
    HideUserSelectableDifficulty = 2,
    DoNotDisplayInstance = 4
  }
  enum JournalLinkTypes {
    Instance = 0,
    Encounter = 1,
    Section = 2,
    Tier = 3
  }
  enum ItemSlotFilterType {
    Head = 0,
    Neck = 1,
    Shoulder = 2,
    Cloak = 3,
    Chest = 4,
    Wrist = 5,
    Hand = 6,
    Waist = 7,
    Legs = 8,
    Feet = 9,
    MainHand = 10,
    OffHand = 11,
    Finger = 12,
    Trinket = 13,
    Other = 14,
    NoFilter = 15
  }
  enum SubscriptionInterstitialResponseType {
    Clicked = 0,
    Closed = 1,
    WebRedirect = 2
  }
  enum SubscriptionInterstitialType {
    Standard = 0,
    LeftNpeArea = 1,
    MaxLevel = 2
  }
  enum ExpansionLandingPageType {
    None = 0,
    Dragonflight = 1,
    WarWithin = 2
  }
  enum ModelLightType {
    Directional = 0,
    Point = 1
  }
  enum GarrisonFollowerType {
    FollowerType_6_0_GarrisonFollower = 1,
    FollowerType_6_0_Boat = 2,
    FollowerType_7_0_GarrisonFollower = 4,
    FollowerType_8_0_GarrisonFollower = 22,
    FollowerType_9_0_GarrisonFollower = 123
  }
  enum GarrisonType {
    Type_6_0_Garrison = 2,
    Type_7_0_Garrison = 3,
    Type_8_0_Garrison = 9,
    Type_9_0_Garrison = 111
  }
  enum EventRealmQueues {
    None = 0,
    PlunderstormSolo = 1,
    PlunderstormDuo = 2,
    PlunderstormTrio = 4
  }
  enum GameEnvironment {
    WoW = 0,
    WoWLabs = 1
  }
  enum GamePadPowerLevel {
    Critical = 0,
    Low = 1,
    Medium = 2,
    High = 3,
    Wired = 4,
    Unknown = 5
  }
  enum GameRuleFlags {
    None = 0,
    AllowClient = 1
  }
  enum ContributionState {
    None = 0,
    Building = 1,
    Active = 2,
    UnderAttack = 3,
    Destroyed = 4
  }
  enum CovenantSkill {
    Kyrian = 2730,
    Venthyr = 2731,
    NightFae = 2732,
    Necrolord = 2733
  }
  enum CovenantType {
    None = 0,
    Kyrian = 1,
    Venthyr = 2,
    NightFae = 3,
    Necrolord = 4
  }
  enum FollowerAbilityCastResult {
    Success = 0,
    Failure = 1,
    NoPendingCast = 2,
    InvalidTarget = 3,
    InvalidFollowerSpell = 4,
    RerollNotAllowed = 5,
    SingleMissionDuration = 6,
    MustTargetFollower = 7,
    MustTargetTrait = 8,
    InvalidFollowerType = 9,
    MustBeUnique = 10,
    CannotTargetLimitedUseFollower = 11,
    MustTargetLimitedUseFollower = 12,
    AlreadyAtMaxDurability = 13,
    CannotTargetNonAutoMissionFollower = 14
  }
  enum GarrAutoBoardIndex {
    None = -1,
    AllyLeftBack = 0,
    AllyRightBack = 1,
    AllyLeftFront = 2,
    AllyCenterFront = 3,
    AllyRightFront = 4,
    EnemyLeftFront = 5,
    EnemyCenterLeftFront = 6,
    EnemyCenterRightFront = 7,
    EnemyRightFront = 8,
    EnemyLeftBack = 9,
    EnemyCenterLeftBack = 10,
    EnemyCenterRightBack = 11,
    EnemyRightBack = 12
  }
  enum GarrAutoCombatSpellTutorialFlag {
    None = 0,
    Single = 1,
    Column = 2,
    Row = 3,
    All = 4
  }
  enum GarrAutoCombatTutorial {
    SelectMission = 1,
    PlaceCompanion = 2,
    HealCompanion = 4,
    LevelHeal = 8,
    BeneficialEffect = 16,
    AttackSingle = 32,
    AttackColumn = 64,
    AttackRow = 128,
    AttackAll = 256,
    TroopTutorial = 512,
    EnvironmentalEffect = 1024
  }
  enum GarrAutoCombatantRole {
    None = 0,
    Melee = 1,
    RangedPhysical = 2,
    RangedMagic = 3,
    HealSupport = 4,
    Tank = 5
  }
  enum GarrAutoEventFlags {
    None = 0,
    AutoAttack = 1,
    Passive = 2,
    Environment = 4
  }
  enum GarrAutoMissionEventType {
    MeleeDamage = 0,
    RangeDamage = 1,
    SpellMeleeDamage = 2,
    SpellRangeDamage = 3,
    Heal = 4,
    PeriodicDamage = 5,
    PeriodicHeal = 6,
    ApplyAura = 7,
    RemoveAura = 8,
    Died = 9
  }
  enum GarrAutoPreviewTargetType {
    None = 0,
    Damage = 1,
    Heal = 2,
    Buff = 4,
    Debuff = 8
  }
  enum GarrFollowerMissionCompleteState {
    Alive = 0,
    KilledByMissionFailure = 1,
    SavedByPreventDeath = 2,
    OutOfDurability = 3
  }
  enum GarrFollowerQuality {
    None = 0,
    Common = 1,
    Uncommon = 2,
    Rare = 3,
    Epic = 4,
    Legendary = 5,
    Title = 6
  }
  enum GarrTalentCostType {
    Initial = 0,
    Respec = 1,
    MakePermanent = 2,
    TreeReset = 3
  }
  enum GarrTalentFeatureSubtype {
    Generic = 0,
    Bastion = 1,
    Revendreth = 2,
    Ardenweald = 3,
    Maldraxxus = 4
  }
  enum GarrTalentFeatureType {
    Generic = 0,
    AnimaDiversion = 1,
    TravelPortals = 2,
    Adventures = 3,
    ReservoirUpgrades = 4,
    SanctumUnique = 5,
    SoulBinds = 6,
    AnimaDiversionMap = 7,
    Cyphers = 8
  }
  enum GarrTalentResearchCostSource {
    Talent = 0,
    Tree = 1
  }
  enum GarrTalentSocketType {
    None = 0,
    Spell = 1,
    Conduit = 2
  }
  enum GarrTalentTreeType {
    Tiers = 0,
    Classic = 1
  }
  enum GarrTalentType {
    Standard = 0,
    Minor = 1,
    Major = 2,
    Socket = 3
  }
  enum GarrTalentUI {
    Generic = 0,
    CovenantSanctum = 1,
    SoulBinds = 2,
    AnimaDiversionMap = 3
  }
  enum GarrisonTalentAvailability {
    Available = 0,
    Unavailable = 1,
    UnavailableAnotherIsResearching = 2,
    UnavailableNotEnoughResources = 3,
    UnavailableNotEnoughGold = 4,
    UnavailableTierUnavailable = 5,
    UnavailablePlayerCondition = 6,
    UnavailableAlreadyHave = 7,
    UnavailableRequiresPrerequisiteTalent = 8
  }
  enum GossipNpcOption {
    None = 0,
    Vendor = 1,
    Taxinode = 2,
    Trainer = 3,
    SpiritHealer = 4,
    Binder = 5,
    Banker = 6,
    PetitionVendor = 7,
    GuildTabardVendor = 8,
    Battlemaster = 9,
    Auctioneer = 10,
    TalentMaster = 11,
    Stablemaster = 12,
    PetSpecializationMaster = 13,
    GuildBanker = 14,
    Spellclick = 15,
    DisableXPGain = 16,
    EnableXPGain = 17,
    Mailbox = 18,
    WorldPvPQueue = 19,
    LFGDungeon = 20,
    ArtifactRespec = 21,
    CemeterySelect = 22,
    SpecializationMaster = 23,
    GlyphMaster = 24,
    QueueScenario = 25,
    GarrisonArchitect = 26,
    GarrisonMissionNpc = 27,
    ShipmentCrafter = 28,
    GarrisonTradeskillNpc = 29,
    GarrisonRecruitment = 30,
    AdventureMap = 31,
    GarrisonTalent = 32,
    ContributionCollector = 33,
    Transmogrify = 34,
    AzeriteRespec = 35,
    IslandsMissionNpc = 36,
    UIItemInteraction = 37,
    WorldMap = 38,
    Soulbind = 39,
    ChromieTimeNpc = 40,
    CovenantPreviewNpc = 41,
    RuneforgeLegendaryCrafting = 42,
    NewPlayerGuide = 43,
    RuneforgeLegendaryUpgrade = 44,
    CovenantRenownNpc = 45,
    BlackMarketAuctionHouse = 46,
    PerksProgramVendor = 47,
    ProfessionsCraftingOrder = 48,
    ProfessionsOpen = 49,
    ProfessionsCustomerOrder = 50,
    TraitSystem = 51,
    BarbersChoice = 52,
    MajorFactionRenown = 53,
    PersonalTabardVendor = 54,
    ForgeMaster = 55,
    CharacterBanker = 56,
    AccountBanker = 57
  }
  enum GossipNpcOptionDisplayFlags {
    ForceInteractionOnSingleChoice = 1
  }
  enum GossipOptionRecFlags {
    QuestLabelPrepend = 1,
    HideOptionIDFromClient = 2
  }
  enum GossipOptionRewardType {
    Item = 0,
    Currency = 1
  }
  enum GossipOptionStatus {
    Available = 0,
    Unavailable = 1,
    Locked = 2,
    AlreadyComplete = 3
  }
  enum GossipOptionUIWidgetSetTypes {
    Modifiers = 0,
    Background = 1
  }
  enum NavigationState {
    Invalid = 0,
    Occluded = 1,
    InRange = 2,
    Disabled = 3
  }
  enum SummonStatus {
    None = 0,
    Pending = 1,
    Accepted = 2,
    Declined = 3
  }
  enum InputContext {
    None = 0,
    Keyboard = 1,
    Mouse = 2,
    GamePad = 3
  }
  enum BankType {
    Character = 0,
    Guild = 1,
    Account = 2
  }
  enum BonusStatIndex {
    Mana = 0,
    Health = 1,
    Endurance = 2,
    Agility = 3,
    Strength = 4,
    Intellect = 5,
    SpiritUnused = 6,
    Stamina = 7,
    Energy = 8,
    Rage = 9,
    Focus = 10,
    WeaponSkillRatingObsolete = 11,
    DefenseSkillRating = 12,
    DodgeRating = 13,
    ParryRating = 14,
    BlockRating = 15,
    HitMeleeRating = 16,
    HitRangedRating = 17,
    HitSpellRating = 18,
    CritMeleeRating = 19,
    CritRangedRating = 20,
    CritSpellRating = 21,
    Corruption = 22,
    CorruptionResistance = 23,
    ModifiedCraftingStat_1 = 24,
    ModifiedCraftingStat_2 = 25,
    CritTakenRangedRatingObsolete = 26,
    CritTakenSpellRatingObsolete = 27,
    HasteMeleeRatingObsolete = 28,
    HasteRangedRatingObsolete = 29,
    HasteSpellRatingObsolete = 30,
    HitRating = 31,
    CritRating = 32,
    HitTakenRatingObsolete = 33,
    CritTakenRatingObsolete = 34,
    ResilienceRating = 35,
    HasteRating = 36,
    ExpertiseRating = 37,
    AttackPower = 38,
    RangedAttackPower = 39,
    Versatility = 40,
    SpellHealingDone = 41,
    SpellDamageDone = 42,
    ManaRegenerationObsolete = 43,
    Unused = 44,
    SpellPower = 45,
    HealthRegen = 46,
    SpellPenetration = 47,
    BlockValueObsolete = 48,
    MasteryRating = 49,
    ExtraArmor = 50,
    FireResistance = 51,
    FrostResistance = 52,
    HolyResistance = 53,
    ShadowResistance = 54,
    NatureResistance = 55,
    ArcaneResistance = 56,
    PvPPower = 57,
    CombatRatingUnused_0 = 58,
    CombatRatingUnused_2 = 59,
    CombatRatingUnused_3 = 60,
    CombatRatingSpeed = 61,
    CombatRatingLifesteal = 62,
    CombatRatingAvoidance = 63,
    CombatRatingSturdiness = 64,
    CombatRatingUnused_7 = 65,
    CombatRatingUnused_27 = 66,
    CombatRatingUnused_9 = 67,
    CombatRatingUnused_10 = 68,
    CombatRatingUnused_11 = 69,
    CombatRatingUnused_12 = 70,
    AgilityOrStrengthOrIntellect = 71,
    AgilityOrStrength = 72,
    AgilityOrIntellect = 73,
    StrengthOrIntellect = 74,
    ProfessionInspiration = 75,
    ProfessionResourcefulness = 76,
    ProfessionFinesse = 77,
    ProfessionDeftness = 78,
    ProfessionPerception = 79,
    ProfessionCraftingSpeed = 80,
    ProfessionMulticraft = 81,
    ProfessionIngenuity = 82
  }
  enum InventoryType {
    IndexNonEquipType = 0,
    IndexHeadType = 1,
    IndexNeckType = 2,
    IndexShoulderType = 3,
    IndexBodyType = 4,
    IndexChestType = 5,
    IndexWaistType = 6,
    IndexLegsType = 7,
    IndexFeetType = 8,
    IndexWristType = 9,
    IndexHandType = 10,
    IndexFingerType = 11,
    IndexTrinketType = 12,
    IndexWeaponType = 13,
    IndexShieldType = 14,
    IndexRangedType = 15,
    IndexCloakType = 16,
    Index2HweaponType = 17,
    IndexBagType = 18,
    IndexTabardType = 19,
    IndexRobeType = 20,
    IndexWeaponmainhandType = 21,
    IndexWeaponoffhandType = 22,
    IndexHoldableType = 23,
    IndexAmmoType = 24,
    IndexThrownType = 25,
    IndexRangedrightType = 26,
    IndexQuiverType = 27,
    IndexRelicType = 28,
    IndexProfessionToolType = 29,
    IndexProfessionGearType = 30,
    IndexEquipablespellOffensiveType = 31,
    IndexEquipablespellUtilityType = 32,
    IndexEquipablespellDefensiveType = 33,
    IndexEquipablespellWeaponType = 34
  }
  enum ItemArmorSubclass {
    Generic = 0,
    Cloth = 1,
    Leather = 2,
    Mail = 3,
    Plate = 4,
    Cosmetic = 5,
    Shield = 6,
    Libram = 7,
    Idol = 8,
    Totem = 9,
    Sigil = 10,
    Relic = 11
  }
  enum ItemBind {
    None = 0,
    OnAcquire = 1,
    OnEquip = 2,
    OnUse = 3,
    Quest = 4,
    Unused1 = 5,
    Unused2 = 6,
    ToWoWAccount = 7,
    ToBnetAccount = 8,
    ToBnetAccountUntilEquipped = 9
  }
  enum ItemClass {
    Consumable = 0,
    Container = 1,
    Weapon = 2,
    Gem = 3,
    Armor = 4,
    Reagent = 5,
    Projectile = 6,
    Tradegoods = 7,
    ItemEnhancement = 8,
    Recipe = 9,
    CurrencyTokenObsolete = 10,
    Quiver = 11,
    Questitem = 12,
    Key = 13,
    PermanentObsolete = 14,
    Miscellaneous = 15,
    Glyph = 16,
    Battlepet = 17,
    WoWToken = 18,
    Profession = 19
  }
  enum ItemConsumableSubclass {
    Generic = 0,
    Potion = 1,
    Elixir = 2,
    Flasksphials = 3,
    Scroll = 4,
    Fooddrink = 5,
    Itemenhancement = 6,
    Bandage = 7,
    Other = 8,
    VantusRune = 9,
    UtilityCurio = 10,
    CombatCurio = 11
  }
  enum ItemGemColor {
    Meta = 1,
    Red = 2,
    Yellow = 4,
    Blue = 8,
    Hydraulic = 16,
    Cogwheel = 32,
    Iron = 64,
    Blood = 128,
    Shadow = 256,
    Fel = 512,
    Arcane = 1024,
    Frost = 2048,
    Fire = 4096,
    Water = 8192,
    Life = 16384,
    Wind = 32768,
    Holy = 65536,
    PunchcardRed = 131072,
    PunchcardYellow = 262144,
    PunchcardBlue = 524288,
    DominationBlood = 1048576,
    DominationFrost = 2097152,
    DominationUnholy = 4194304,
    Cypher = 8388608,
    Tinker = 16777216,
    Primordial = 33554432,
    Fragrance = 67108864
  }
  enum ItemMiscellaneousSubclass {
    Junk = 0,
    Reagent = 1,
    CompanionPet = 2,
    Holiday = 3,
    Other = 4,
    Mount = 5,
    MountEquipment = 6
  }
  enum ItemProfessionSubclass {
    Blacksmithing = 0,
    Leatherworking = 1,
    Alchemy = 2,
    Herbalism = 3,
    Cooking = 4,
    Mining = 5,
    Tailoring = 6,
    Engineering = 7,
    Enchanting = 8,
    Fishing = 9,
    Skinning = 10,
    Jewelcrafting = 11,
    Inscription = 12,
    Archaeology = 13
  }
  enum ItemQuality {
    Poor = 0,
    Common = 1,
    Uncommon = 2,
    Rare = 3,
    Epic = 4,
    Legendary = 5,
    Artifact = 6,
    Heirloom = 7,
    WoWToken = 8
  }
  enum ItemReagentSubclass {
    Reagent = 0,
    Keystone = 1,
    ContextToken = 2
  }
  enum ItemRecipeSubclass {
    Book = 0,
    Leatherworking = 1,
    Tailoring = 2,
    Engineering = 3,
    Blacksmithing = 4,
    Cooking = 5,
    Alchemy = 6,
    FirstAid = 7,
    Enchanting = 8,
    Fishing = 9,
    Jewelcrafting = 10,
    Inscription = 11
  }
  enum ItemSocketType {
    None = 0,
    Meta = 1,
    Red = 2,
    Yellow = 3,
    Blue = 4,
    Hydraulic = 5,
    Cogwheel = 6,
    Prismatic = 7,
    Iron = 8,
    Blood = 9,
    Shadow = 10,
    Fel = 11,
    Arcane = 12,
    Frost = 13,
    Fire = 14,
    Water = 15,
    Life = 16,
    Wind = 17,
    Holy = 18,
    PunchcardRed = 19,
    PunchcardYellow = 20,
    PunchcardBlue = 21,
    Domination = 22,
    Cypher = 23,
    Tinker = 24,
    Primordial = 25,
    Fragrance = 26
  }
  enum ItemSubclassDisplay {
    HideSubclassInTooltips = 1,
    HideSubclassInAuction = 2,
    ShowItemCount = 4
  }
  enum ItemSubclassFlag {
    WeaponsubclassCanparry = 1,
    WeaponsubclassSetfingerseq = 2,
    WeaponsubclassIsunarmed = 4,
    WeaponsubclassIsrifle = 8,
    WeaponsubclassIsthrown = 16,
    WeaponsubclassRighthandRanged = 32,
    ItemsubclassQuivernotrequired = 64,
    WeaponsubclassRanged = 128,
    WeaponsubclassDeprecatedReuseMe = 256,
    ItemsubclassUsesInvtype = 512,
    ArmorsubclassLfgscalingarmor = 1024
  }
  enum ItemWeaponSubclass {
    Axe1H = 0,
    Axe2H = 1,
    Bows = 2,
    Guns = 3,
    Mace1H = 4,
    Mace2H = 5,
    Polearm = 6,
    Sword1H = 7,
    Sword2H = 8,
    Warglaive = 9,
    Staff = 10,
    Bearclaw = 11,
    Catclaw = 12,
    Unarmed = 13,
    Generic = 14,
    Dagger = 15,
    Thrown = 16,
    Obsolete3 = 17,
    Crossbow = 18,
    Wand = 19,
    Fishingpole = 20
  }
  enum Itemclassfilterflags {
    Consumable = 1,
    Container = 2,
    Weapon = 4,
    Gem = 8,
    Armor = 16,
    Reagent = 32,
    Projectile = 64,
    Tradegoods = 128,
    ItemEnhancement = 256,
    Recipe = 512,
    CurrencyTokenObsolete = 1024,
    Quiver = 2048,
    Questitemclassfilterflags = 4096,
    Key = 8192,
    PermanentObsolete = 16384,
    Miscellaneous = 32768,
    Glyph = 65536,
    Battlepet = 131072
  }
  enum Itemsetflags {
    Legacy = 1,
    UseItemHistorySetSlots = 2,
    RequiresPvPTalentsActive = 4
  }
  enum SlotRegion {
    Invalid = 0,
    PlayerEquip = 1,
    PlayerBags = 2,
    PlayerInv = 3,
    Bank = 4,
    ReagentBank = 5,
    AccountBank = 6
  }
  enum SlotRegionMask {
    Invalid = 1,
    PlayerEquip = 2,
    PlayerBags = 4,
    PlayerInv = 8,
    Bank = 16,
    ReagentBank = 32,
    AccountBank = 64
  }
  enum SubcontainerType {
    Bag = 0,
    Equipped = 1,
    Bankgeneric = 2,
    Bankbag = 3,
    Mail = 4,
    Auction = 5,
    KeyringObsolete = 6,
    GuildBank0 = 7,
    GuildBank1 = 8,
    GuildBank2 = 9,
    GuildBank3 = 10,
    GuildBank4 = 11,
    GuildBank5 = 12,
    GuildOverflow = 13,
    Equipablespells = 14,
    CurrencytokenOboslete = 15,
    GuildBank6 = 16,
    GuildBank7 = 17,
    GuildBank8 = 18,
    GuildBank9 = 19,
    GuildBank10 = 20,
    GuildBank11 = 21,
    Reagentbank = 22,
    Childequipmentstorage = 23,
    Quarantine = 24,
    CreatedImmediately = 25,
    BuybackSlots = 26,
    CachedReward = 27,
    EquippedBags = 28,
    EquippedProfession1 = 29,
    EquippedProfession2 = 30,
    EquippedCooking = 31,
    EquippedFishing = 32,
    EquippedReagentbag = 33,
    CraftingOrder = 34,
    CraftingOrderReagents = 35,
    AccountBankTabs = 36
  }
  enum UIItemInteractionFlags {
    DisplayWithInset = 1,
    ConfirmationHasDelay = 2,
    ConversionMode = 4,
    ClickShowsFlyout = 8,
    AddCurrency = 16,
    UsesCharges = 32
  }
  enum UIItemInteractionType {
    None = 0,
    CastSpell = 1,
    CleanseCorruption = 2,
    RunecarverScrapping = 3,
    ItemConversion = 4
  }
  enum ItemGemSubclass {
    Intellect = 0,
    Agility = 1,
    Strength = 2,
    Stamina = 3,
    Spirit = 4,
    Criticalstrike = 5,
    Mastery = 6,
    Haste = 7,
    Versatility = 8,
    Other = 9,
    Multiplestats = 10,
    Artifactrelic = 11
  }
  enum ItemRedundancySlot {
    Head = 0,
    Neck = 1,
    Shoulder = 2,
    Chest = 3,
    Waist = 4,
    Legs = 5,
    Feet = 6,
    Wrist = 7,
    Hand = 8,
    Finger = 9,
    Trinket = 10,
    Cloak = 11,
    Twohand = 12,
    MainhandWeapon = 13,
    OnehandWeapon = 14,
    OnehandWeaponSecond = 15,
    Offhand = 16
  }
  enum PointsModifierSourceType {
    PlayerLevel = 0,
    SkillRank = 1,
    ProgressiveEventMissCount = 2,
    ProgressiveEventItemWinCount = 3,
    NumLooters = 4,
    BaseItemLevel = 5,
    LootLevel = 6,
    InstanceGroupSize = 7,
    QuestItemGroupMissCount = 8,
    TreasureItemPvalue = 9,
    FollowerLevelInBuilding = 10,
    FollowerQualityInBuilding = 11,
    NumGroupFriends = 12,
    FollowerLevelForCurrentShipment = 13,
    FollowerQualityForCurrentShipment = 14,
    PvPBracketRatingSpecific = 15,
    ChallengeModeLevel = 16,
    CurrencyMaxDelta = 17,
    WorldStateValue = 18,
    PlayerKeystoneLevel = 19,
    PlayerCondition = 20,
    PassesTreasureTrackingQuestEligibility = 21,
    PvPBracketRatingCurrentInstance = 22,
    PvPTeamSize = 23,
    ItemLevelHighWaterMarkAverage = 24,
    ProgressiveEventNumWinsForLootSpec = 25,
    ProgressiveEventNumRemainingForLootSpec = 26,
    WorldStateExpression = 27,
    ProgressiveEventNumRemainingForClass = 28,
    CreatureClassification = 29,
    HonorEarnedThisPvPMatch = 30,
    NumTappers = 31,
    PvPJackpotTier = 32,
    PlayerLevelContentTuningMax = 33,
    SalvagedItemIsCloth = 34,
    SalvagedItemIsLeather = 35,
    SalvagedItemIsMail = 36,
    SalvagedItemIsPlate = 37,
    SalvagedItemIsMisc = 38,
    QuestExpansionID = 39,
    Reserved_2 = 40,
    JailersTowerActiveFloorDifficulty = 41,
    NumLootSourceAuraStacks = 42,
    HasLegendaryCloakUpdgradeAvailable = 43,
    ObjectLevel = 44,
    PercentThroughContentTuning = 45,
    PvPTier = 46,
    CurrencyQuantity = 47,
    AreaGroup = 48,
    ObjectLabelID = 49,
    WeeklyMythicPlusCount = 50,
    PercentThroughExpansion = 51,
    AutoMissionScalar = 52,
    RenownCatchup = 53,
    RenownRapidCatchup = 54,
    ParagonLevel = 55,
    NumPlayersThatGainedDungeonScore = 56,
    ProfessionQualityLevel = 57,
    CraftSkill = 58,
    NumWeeklyRewardsThresholdsEarned = 59,
    SalvagedItemLevel = 60,
    ProfessionRatingFinessePercent = 61,
    ProfessionRatingPerceptionPercent = 62,
    ProfessionTraitRanksByLabel = 63,
    CreatureHealthMod = 64,
    FirstTimeQuestCompletionRewards = 65,
    PointsModifierSet = 66
  }
  enum BindingSet {
    Default = 0,
    Account = 1,
    Character = 2,
    Current = 3
  }
  enum CustomBindingType {
    VoicePushToTalk = 0
  }
  enum LFGEntryPlaystyle {
    None = 0,
    Standard = 1,
    Casual = 2,
    Hardcore = 3
  }
  enum LFGListFilter {
    Recommended = 1,
    NotRecommended = 2,
    PvE = 4,
    PvP = 8,
    Timerunning = 16,
    CurrentExpansion = 32,
    CurrentSeason = 64,
    NotCurrentSeason = 128
  }
  enum LFGRole {
    Tank = 0,
    Healer = 1,
    Damage = 2
  }
  enum LFGListDisplayType {
    RoleCount = 0,
    RoleEnumerate = 1,
    ClassEnumerate = 2,
    HideAll = 3,
    PlayerCount = 4,
    Comment = 5
  }
  enum RuneforgePowerFilter {
    All = 0,
    Relevant = 1,
    Available = 2,
    Unavailable = 3
  }
  enum RuneforgePowerState {
    Available = 0,
    Unavailable = 1,
    Invalid = 2
  }
  enum LootSlotType {
    None = 0,
    Item = 1,
    Money = 2,
    Currency = 3
  }
  enum EncounterLootDropRollState {
    NeedMainSpec = 0,
    NeedOffSpec = 1,
    Transmog = 2,
    Greed = 3,
    NoRoll = 4,
    Pass = 5
  }
  enum MajorFactionFeatureAbility {
    Generic = 0,
    Fishing = 1,
    Hunts = 2
  }
  enum MajorFactionType {
    None = 0,
    DragonscaleExpedition = 1,
    MaruukCentaur = 2,
    IskaaraTuskarr = 3,
    ValdrakkenAccord = 4
  }
  enum MapCanvasPosition {
    None = 0,
    BottomLeft = 1,
    BottomRight = 2,
    TopLeft = 3,
    TopRight = 4
  }
  enum UIMapFlag {
    NoHighlight = 1,
    ShowOverlays = 2,
    ShowTaxiNodes = 4,
    GarrisonMap = 8,
    FallbackToParentMap = 16,
    NoHighlightTexture = 32,
    ShowTaskObjectives = 64,
    NoWorldPositions = 128,
    HideArchaeologyDigs = 256,
    DoNotTranslateBranches = 512,
    HideIcons = 1024,
    HideVignettes = 2048,
    ForceAllOverlayExplored = 4096,
    FlightMapShowZoomOut = 8192,
    FlightMapAutoZoom = 16384,
    ForceOnNavbar = 32768,
    AlwaysAllowUserWaypoints = 65536,
    AlwaysAllowTaxiPathing = 131072,
    ForceAllowMapLinks = 262144,
    DoNotShowOnNavbar = 524288,
    IsCityMap = 1048576
  }
  enum UIMapGroupFlag {
    ShowIconsAcrossFloors = 1
  }
  enum UIMapSystem {
    World = 0,
    Taxi = 1,
    Adventure = 2,
    Minimap = 3
  }
  enum UIMapType {
    Cosmic = 0,
    World = 1,
    Continent = 2,
    Zone = 3,
    Dungeon = 4,
    Micro = 5,
    Orphan = 6
  }
  enum MinimapTrackingFilter {
    Unfiltered = 0,
    Auctioneer = 1,
    Banker = 2,
    Battlemaster = 4,
    TaxiNode = 8,
    VenderFood = 16,
    Innkeeper = 32,
    Mailbox = 64,
    TrainerProfession = 128,
    VendorReagent = 256,
    Repair = 512,
    TrivialQuests = 1024,
    Stablemaster = 2048,
    Transmogrifier = 4096,
    POI = 8192,
    Target = 16384,
    Focus = 32768,
    QuestPoIs = 65536,
    Digsites = 131072,
    Barber = 262144,
    ItemUpgrade = 524288,
    VendorPoison = 1048576,
    AccountCompletedQuests = 2097152,
    AccountBanker = 4194304
  }
  enum ModelBlendOperation {
    None = 0,
    Anim = 1
  }
  enum MountType {
    Ground = 0,
    Flying = 1,
    Aquatic = 2,
    Dragonriding = 3,
    RideAlong = 4
  }
  enum MountTypeFlag {
    IsFlyingMount = 1,
    IsAquaticMount = 2,
    IsDragonRidingMount = 4,
    IsRideAlongMount = 8
  }
  enum AvgItemLevelCategories {
    Base = 0,
    EquippedBase = 1,
    EquippedEffective = 2,
    PvP = 3,
    PvPWeighted = 4,
    EquippedEffectiveWeighted = 5
  }
  enum RestrictPingsTo {
    None = 0,
    Lead = 1,
    Assist = 2,
    TankHealer = 3
  }
  enum PartyRequestJoinRelation {
    None = 0,
    Friend = 1,
    Guild = 2,
    Club = 3,
    NumPartyRequestJoinRelations = 4
  }
  enum PartyPoseFlags {
    HideLeaveInstanceButton = 1
  }
  enum PerksVendorCategoryType {
    Transmog = 1,
    Mount = 2,
    Pet = 3,
    Toy = 5,
    Illusion = 7,
    Transmogset = 8
  }
  enum PetBattleQueueStatus {
    None = 0,
    Queued = 1,
    QueuedUpdate = 2,
    AlreadyQueued = 3,
    JoinFailed = 4,
    JoinFailedSlots = 5,
    JoinFailedJournalLock = 6,
    JoinFailedNeutral = 7,
    MatchAccepted = 8,
    MatchDeclined = 9,
    MatchOpponentDeclined = 10,
    ProposalTimedOut = 11,
    Removed = 12,
    RequeuedAfterInternalError = 13,
    RequeuedAfterOpponentRemoved = 14,
    Matchmaking = 15,
    LostConnection = 16,
    Shutdown = 17,
    Suspended = 18,
    Unsuspended = 19,
    InBattle = 20,
    NoBattlingHere = 21
  }
  enum PetbattleAuraStateFlags {
    None = 0,
    Infinite = 1,
    Canceled = 2,
    InitDisabled = 4,
    CountdownFirstRound = 8,
    JustApplied = 16,
    RemoveEventHandled = 32
  }
  enum PetbattleCheatFlags {
    None = 0,
    AutoPlay = 1
  }
  enum PetbattleEffectFlags {
    None = 0,
    InvalidTarget = 1,
    Miss = 2,
    Crit = 4,
    Blocked = 8,
    Dodge = 16,
    Heal = 32,
    Unkillable = 64,
    Reflect = 128,
    Absorb = 256,
    Immune = 512,
    Strong = 1024,
    Weak = 2048,
    SuccessChain = 4096,
    AuraReapply = 8192
  }
  enum PetbattleEffectType {
    SetHealth = 0,
    AuraApply = 1,
    AuraCancel = 2,
    AuraChange = 3,
    PetSwap = 4,
    StatusChange = 5,
    SetState = 6,
    SetMaxHealth = 7,
    SetSpeed = 8,
    SetPower = 9,
    TriggerAbility = 10,
    AbilityChange = 11,
    NpcEmote = 12,
    AuraProcessingBegin = 13,
    AuraProcessingEnd = 14,
    ReplacePet = 15,
    OverrideAbility = 16,
    WorldStateUpdate = 17
  }
  enum PetbattleEnviros {
    Pad0 = 0,
    Pad1 = 1,
    Weather = 2
  }
  enum PetbattleInputMoveMsgDebugFlag {
    None = 0,
    DontValidate = 1,
    EnemyCast = 2
  }
  enum PetbattleMoveType {
    Quit = 0,
    Ability = 1,
    Swap = 2,
    Trap = 3,
    FinalRoundOk = 4,
    Pass = 5
  }
  enum PetbattlePboid {
    P0Pet_0 = 0,
    P0Pet_1 = 1,
    P0Pet_2 = 2,
    P1Pet_0 = 3,
    P1Pet_1 = 4,
    P1Pet_2 = 5,
    EnvPad_0 = 6,
    EnvPad_1 = 7,
    EnvWeather = 8
  }
  enum PetbattlePetStatus {
    FlagNone = 0,
    FlagTrapped = 1,
    Stunned = 2,
    SwapOutLocked = 4,
    SwapInLocked = 8
  }
  enum PetbattlePlayer {
    Player_0 = 0,
    Player_1 = 1
  }
  enum PetbattlePlayerInputFlags {
    None = 0,
    TurnInProgress = 1,
    AbilityLocked = 2,
    SwapLocked = 4,
    WaitingForPet = 8
  }
  enum PetbattleResult {
    FailUnknown = 0,
    FailNotHere = 1,
    FailNotHereOnTransport = 2,
    FailNotHereUnevenGround = 3,
    FailNotHereObstructed = 4,
    FailNotWhileInCombat = 5,
    FailNotWhileDead = 6,
    FailNotWhileFlying = 7,
    FailTargetInvalid = 8,
    FailTargetOutOfRange = 9,
    FailTargetNotCapturable = 10,
    FailNotATrainer = 11,
    FailDeclined = 12,
    FailInBattle = 13,
    FailInvalidLoadout = 14,
    FailInvalidLoadoutAllDead = 15,
    FailInvalidLoadoutNoneSlotted = 16,
    FailNoJournalLock = 17,
    FailWildPetTapped = 18,
    FailRestrictedAccount = 19,
    FailOpponentNotAvailable = 20,
    FailLogout = 21,
    FailDisconnect = 22,
    Success = 23
  }
  enum PetbattleSlot {
    Slot_0 = 0,
    Slot_1 = 1,
    Slot_2 = 2
  }
  enum PetbattleSlotAbility {
    Ability_0 = 0,
    Ability_1 = 1,
    Ability_2 = 2
  }
  enum PetbattleSlotResult {
    Success = 0,
    SlotLocked = 1,
    SlotEmpty = 2,
    NoTracker = 3,
    NoSpeciesRec = 4,
    CantBattle = 5,
    Revoked = 6,
    Dead = 7,
    NoPet = 8
  }
  enum PetbattleState {
    Created = 0,
    WaitingPreBattle = 1,
    RoundInProgress = 2,
    WaitingForFrontPets = 3,
    CreatedFailed = 4,
    FinalRound = 5,
    Finished = 6
  }
  enum PetbattleTrapstatus {
    Invalid = 0,
    CanTrap = 1,
    CantTrapNewbie = 2,
    CantTrapPetDead = 3,
    CantTrapPetHealth = 4,
    CantTrapNoRoomInJournal = 5,
    CantTrapPetNotCapturable = 6,
    CantTrapTrainerBattle = 7,
    CantTrapTwice = 8
  }
  enum PetbattleType {
    PvE = 0,
    PvP = 1,
    Lfpb = 2,
    Npc = 3
  }
  enum PetJournalError {
    None = 0,
    PetIsDead = 1,
    JournalIsLocked = 2,
    InvalidFaction = 3,
    NoFavoritesToSummon = 4,
    NoValidRandomSummon = 5
  }
  enum PingMode {
    KeyDown = 0,
    ClickDrag = 1
  }
  enum PingResult {
    Success = 0,
    FailedGeneric = 1,
    FailedSpamming = 2,
    FailedDisabledByLeader = 3,
    FailedDisabledBySettings = 4,
    FailedOutOfPingArea = 5,
    FailedSquelched = 6,
    FailedUnspecified = 7
  }
  enum PingSubjectType {
    Attack = 0,
    Warning = 1,
    Assist = 2,
    OnMyWay = 3,
    AlertThreat = 4,
    AlertNotThreat = 5
  }
  enum PingTypeFlags {
    DefaultPing = 1
  }
  enum ClientPlatformType {
    Windows = 0,
    Macintosh = 1
  }
  enum PlayerChoiceRarity {
    Common = 0,
    Uncommon = 1,
    Rare = 2,
    Epic = 3
  }
  enum PlayerInteractionType {
    None = 0,
    TradePartner = 1,
    Item = 2,
    Gossip = 3,
    QuestGiver = 4,
    Merchant = 5,
    TaxiNode = 6,
    Trainer = 7,
    Banker = 8,
    AlliedRaceDetailsGiver = 9,
    GuildBanker = 10,
    Registrar = 11,
    Vendor = 12,
    PetitionVendor = 13,
    GuildTabardVendor = 14,
    TalentMaster = 15,
    SpecializationMaster = 16,
    MailInfo = 17,
    SpiritHealer = 18,
    AreaSpiritHealer = 19,
    Binder = 20,
    Auctioneer = 21,
    StableMaster = 22,
    BattleMaster = 23,
    Transmogrifier = 24,
    LFGDungeon = 25,
    VoidStorageBanker = 26,
    BlackMarketAuctioneer = 27,
    AdventureMap = 28,
    WorldMap = 29,
    GarrArchitect = 30,
    GarrTradeskill = 31,
    GarrMission = 32,
    ShipmentCrafter = 33,
    GarrRecruitment = 34,
    GarrTalent = 35,
    Trophy = 36,
    PlayerChoice = 37,
    ArtifactForge = 38,
    ObliterumForge = 39,
    ScrappingMachine = 40,
    ContributionCollector = 41,
    AzeriteRespec = 42,
    IslandQueue = 43,
    ItemInteraction = 44,
    ChromieTime = 45,
    CovenantPreview = 46,
    AnimaDiversion = 47,
    LegendaryCrafting = 48,
    WeeklyRewards = 49,
    Soulbind = 50,
    CovenantSanctum = 51,
    NewPlayerGuide = 52,
    ItemUpgrade = 53,
    AdventureJournal = 54,
    Renown = 55,
    AzeriteForge = 56,
    PerksProgramVendor = 57,
    ProfessionsCraftingOrder = 58,
    Professions = 59,
    ProfessionsCustomerOrder = 60,
    TraitSystem = 61,
    BarbersChoice = 62,
    JailersTowerBuffs = 63,
    MajorFactionRenown = 64,
    PersonalTabardVendor = 65,
    ForgeMaster = 66,
    CharacterBanker = 67,
    AccountBanker = 68
  }
  enum PlayerMentorshipApplicationResult {
    Success = 0,
    AlreadyMentor = 1,
    Ineligible = 2
  }
  enum PlayerMentorshipStatus {
    None = 0,
    Newcomer = 1,
    Mentor = 2
  }
  enum BalanceType {
    None = -1,
    Eclipse = 0
  }
  enum PowerType {
    Mana = 0,
    Rage = 1,
    Focus = 2,
    Energy = 3,
    ComboPoints = 4,
    Runes = 5,
    RunicPower = 6,
    SoulShards = 7,
    LunarPower = 8,
    HolyPower = 9,
    Alternate = 10,
    Maelstrom = 11,
    Chi = 12,
    Insanity = 13,
    Obsolete = 14,
    Obsolete2 = 15,
    ArcaneCharges = 16,
    Fury = 17,
    Pain = 18,
    Essence = 19,
    RuneBlood = 20,
    RuneFrost = 21,
    RuneUnholy = 22,
    AlternateQuest = 23,
    AlternateEncounter = 24,
    AlternateMount = 25,
    Balance = 26
  }
  enum PowerTypeSign {
    None = -1,
    Positive = 0,
    Negative = 1
  }
  enum PowerTypeSlot {
    Slot_0 = 0,
    Slot_1 = 1,
    Slot_2 = 2,
    Slot_3 = 3,
    Slot_4 = 4,
    Slot_5 = 5,
    Slot_6 = 6,
    Slot_7 = 7,
    Slot_8 = 8,
    Slot_9 = 9
  }
  enum CraftingOrderDuration {
    Short = 0,
    Medium = 1,
    Long = 2
  }
  enum CraftingOrderFlags {
    IsRecraft = 1,
    HasNoneReagents = 2,
    HasSomeReagents = 4,
    HasAllReagents = 8,
    IsFulfillable = 16
  }
  enum CraftingOrderItemType {
    Reagent = 0,
    Recraft = 1,
    CraftedResult = 2,
    RemoveReagent = 3,
    NpcProvided = 4
  }
  enum CraftingOrderReagentSource {
    Any = 0,
    Customer = 1,
    Crafter = 2,
    None = 3
  }
  enum CraftingOrderResult {
    Ok = 0,
    Aborted = 1,
    AlreadyClaimed = 2,
    AlreadyCrafted = 3,
    CannotBeOrdered = 4,
    CannotCancel = 5,
    CannotClaim = 6,
    CannotClaimOwnOrder = 7,
    CannotCraft = 8,
    CannotCreate = 9,
    CannotFulfill = 10,
    CannotRecraft = 11,
    CannotReject = 12,
    CannotRelease = 13,
    CrafterIsIgnored = 14,
    DatabaseError = 15,
    Expired = 16,
    Locked = 17,
    InvalidDuration = 18,
    InvalidMinQuality = 19,
    InvalidNotes = 20,
    InvalidReagent = 21,
    InvalidRealm = 22,
    InvalidRecipe = 23,
    InvalidRecraftItem = 24,
    InvalidSort = 25,
    InvalidTarget = 26,
    InvalidType = 27,
    MaxOrdersReached = 28,
    MissingCraftingTable = 29,
    MissingItem = 30,
    MissingNpc = 31,
    MissingOrder = 32,
    MissingRecraftItem = 33,
    NoAccountItems = 34,
    NotClaimed = 35,
    NotCrafted = 36,
    NotInGuild = 37,
    NotYetImplemented = 38,
    OutOfPublicOrderCapacity = 39,
    ServerIsNotAvailable = 40,
    ThrottleViolation = 41,
    TargetCannotCraft = 42,
    TargetLocked = 43,
    Timeout = 44,
    TooManyItems = 45,
    WrongVersion = 46
  }
  enum CraftingOrderSortType {
    ItemName = 0,
    AveTip = 1,
    MaxTip = 2,
    Quantity = 3,
    Reagents = 4,
    Tip = 5,
    TimeRemaining = 6,
    Status = 7
  }
  enum CraftingOrderState {
    None = 0,
    Creating = 1,
    Created = 2,
    Claiming = 3,
    Claimed = 4,
    Rejecting = 5,
    Rejected = 6,
    Releasing = 7,
    Crafting = 8,
    Recrafting = 9,
    Fulfilling = 10,
    Fulfilled = 11,
    Canceling = 12,
    Canceled = 13,
    Expiring = 14,
    Expired = 15
  }
  enum CraftingOrderType {
    Public = 0,
    Guild = 1,
    Personal = 2,
    Npc = 3
  }
  enum CraftingReagentType {
    Modifying = 0,
    Basic = 1,
    Finishing = 2,
    Automatic = 3
  }
  enum ItemRecraftFlags {
    ItemRecraftFlagInvalid = 1
  }
  enum NpcCraftingOrderSetFlags {
    CraftingOrderFlagAllowMultiple = 1,
    CraftingOrderFlagAllowDuplicate = 2
  }
  enum Profession {
    FirstAid = 0,
    Blacksmithing = 1,
    Leatherworking = 2,
    Alchemy = 3,
    Herbalism = 4,
    Cooking = 5,
    Mining = 6,
    Tailoring = 7,
    Engineering = 8,
    Enchanting = 9,
    Fishing = 10,
    Skinning = 11,
    Jewelcrafting = 12,
    Inscription = 13,
    Archaeology = 14
  }
  enum ProfessionActionType {
    Craft = 0,
    Gather = 1
  }
  enum ProfessionEffect {
    Skill = 0,
    StatInspiration = 1,
    StatResourcefulness = 2,
    StatFinesse = 3,
    StatDeftness = 4,
    StatPerception = 5,
    StatCraftingSpeed = 6,
    StatMulticraft = 7,
    UnlockReagentSlot = 8,
    ModInspiration = 9,
    ModResourcefulness = 10,
    ModFinesse = 11,
    ModDeftness = 12,
    ModPerception = 13,
    ModCraftingSpeed = 14,
    ModMulticraft = 15,
    ModUnused_1 = 16,
    ModUnused_2 = 17,
    ModCraftExtraQuantity = 18,
    ModGatherExtraQuantity = 19,
    ModCraftCritSize = 20,
    ModCraftReductionQuantity = 21,
    DecreaseDifficulty = 22,
    IncreaseDifficulty = 23,
    ModSkillGain = 24,
    AccumulateRanksByLabel = 25,
    StatIngenuity = 26,
    ModConcentration = 27,
    Tokenizer = 28,
    ModIngenuity = 29,
    ConcentrationRefund = 30
  }
  enum ProfessionRating {
    Inspiration = 0,
    Resourcefulness = 1,
    Finesse = 2,
    Deftness = 3,
    Perception = 4,
    CraftingSpeed = 5,
    Multicraft = 6,
    Ingenuity = 7,
    Unused_2 = 8
  }
  enum ProfessionRatingType {
    Craft = 0,
    Gather = 1
  }
  enum RcoCloseReason {
    RcoCloseFulfill = 0,
    RcoCloseExpire = 1,
    RcoCloseCancel = 2,
    RcoCloseReject = 3,
    RcoCloseGmCancel = 4,
    RcoCloseCrafterFulfill = 5,
    RcoCloseInvalid = 6
  }
  enum SkinningState {
    None = 0,
    Reserved = 1,
    Skinning = 2,
    Looting = 3,
    Skinned = 4
  }
  enum ProfTraitPerkNodeFlags {
    UnlocksSubpath = 1,
    IsMajorBonus = 2
  }
  enum ProfessionsSpecPathState {
    Locked = 0,
    Progressing = 1,
    Completed = 2
  }
  enum ProfessionsSpecPerkState {
    Unearned = 0,
    Pending = 1,
    Earned = 2
  }
  enum ProfessionsSpecTabState {
    Locked = 0,
    Unlocked = 1,
    Unlockable = 2
  }
  enum PvPFaction {
    Horde = 0,
    Alliance = 1
  }
  enum BrawlType {
    None = 0,
    Battleground = 1,
    Arena = 2,
    LFG = 3,
    SoloShuffle = 4,
    SoloRbg = 5
  }
  enum PvPMatchState {
    Inactive = 0,
    Waiting = 1,
    StartUp = 2,
    Engaged = 3,
    PostRound = 4,
    Complete = 5
  }
  enum CombinedQuestLogStatus {
    Available = 0,
    Complete = 1,
    CompleteDaily = 2,
    CompleteWeekly = 3,
    CompleteMonthly = 4,
    CompleteYearly = 5,
    CompleteGameReset = 6,
    Reset = 7
  }
  enum CombinedQuestStatus {
    Invalid = 0,
    Completed = 1,
    NotCompleted = 2
  }
  enum QuestCompleteSpellType {
    LegacyBehavior = 0,
    Follower = 1,
    Tradeskill = 2,
    Ability = 3,
    Aura = 4,
    Spell = 5,
    Unlock = 6,
    Companion = 7,
    QuestlineUnlock = 8,
    QuestlineReward = 9,
    QuestlineUnlockPart = 10
  }
  enum QuestRepeatability {
    None = 0,
    Daily = 1,
    Weekly = 2,
    Turnin = 3,
    World = 4
  }
  enum QuestRewardContextFlags {
    None = 0,
    FirstCompletionBonus = 1,
    RepeatCompletionBonus = 2
  }
  enum QuestTagType {
    Tag = 0,
    Profession = 1,
    Normal = 2,
    PvP = 3,
    PetBattle = 4,
    Bounty = 5,
    Dungeon = 6,
    Invasion = 7,
    Raid = 8,
    Contribution = 9,
    RatedReward = 10,
    InvasionWrapper = 11,
    FactionAssault = 12,
    Islands = 13,
    Threat = 14,
    CovenantCalling = 15,
    DragonRiderRacing = 16,
    Capstone = 17,
    WorldBoss = 18
  }
  enum QuestTreasurePickerType {
    Visible = 0,
    Hidden = 1,
    Select = 2
  }
  enum RelativeContentDifficulty {
    Trivial = 0,
    Easy = 1,
    Fair = 2,
    Difficult = 3,
    Impossible = 4
  }
  enum QuestClassification {
    Important = 0,
    Legendary = 1,
    Campaign = 2,
    Calling = 3,
    Meta = 4,
    Recurring = 5,
    Questline = 6,
    Normal = 7,
    BonusObjective = 8,
    Threat = 9,
    WorldQuest = 10
  }
  enum QuestLineFloorLocation {
    Above = 0,
    Below = 1,
    Same = 2
  }
  enum MapOverlayDisplayLocation {
    Default = 0,
    BottomLeft = 1,
    TopLeft = 2,
    BottomRight = 3,
    TopRight = 4,
    Hidden = 5
  }
  enum QuestFrequency {
    Default = 0,
    Daily = 1,
    Weekly = 2,
    ResetByScheduler = 3
  }
  enum QuestTag {
    Group = 1,
    PvP = 41,
    Raid = 62,
    Dungeon = 81,
    Legendary = 83,
    Heroic = 85,
    Raid10 = 88,
    Raid25 = 89,
    Scenario = 98,
    Account = 102,
    CombatAlly = 266,
    Delve = 288
  }
  enum QuestWatchType {
    Automatic = 0,
    Manual = 1
  }
  enum WorldQuestQuality {
    Common = 0,
    Rare = 1,
    Epic = 2
  }
  enum QuestSessionCommand {
    None = 0,
    Start = 1,
    Stop = 2,
    SessionActiveNoCommand = 3
  }
  enum QuestSessionResult {
    Ok = 0,
    NotInParty = 1,
    InvalidOwner = 2,
    AlreadyActive = 3,
    NotActive = 4,
    InRaid = 5,
    OwnerRefused = 6,
    Timeout = 7,
    Disabled = 8,
    Started = 9,
    Stopped = 10,
    Joined = 11,
    Left = 12,
    OwnerLeft = 13,
    ReadyCheckFailed = 14,
    PartyDestroyed = 15,
    MemberTimeout = 16,
    AlreadyMember = 17,
    NotOwner = 18,
    AlreadyOwner = 19,
    AlreadyJoined = 20,
    NotMember = 21,
    Busy = 22,
    JoinRejected = 23,
    Logout = 24,
    Empty = 25,
    QuestNotCompleted = 26,
    Resync = 27,
    Restricted = 28,
    InPetBattle = 29,
    InvalidPublicParty = 30,
    Unknown = 31,
    InCombat = 32,
    MemberInCombat = 33,
    RestrictedCrossFaction = 34
  }
  enum RafRecruitActivityState {
    Incomplete = 0,
    Complete = 1,
    RewardClaimed = 2
  }
  enum RafRecruitSubStatus {
    Trial = 0,
    Active = 1,
    Inactive = 2
  }
  enum RafRewardType {
    Pet = 0,
    Mount = 1,
    Appearance = 2,
    Title = 3,
    GameTime = 4,
    AppearanceSet = 5,
    Illusion = 6,
    Invalid = 7
  }
  enum RafLinkType {
    None = 0,
    Recruit = 1,
    Friend = 2,
    Both = 3
  }
  enum RecruitAFriendRewardsVersion {
    InvalidVersion = 0,
    UnusedVersionOne = 1,
    VersionTwo = 2,
    VersionThree = 3
  }
  enum ReportMajorCategory {
    InappropriateCommunication = 0,
    GameplaySabotage = 1,
    Cheating = 2,
    InappropriateName = 3
  }
  enum ReportMinorCategory {
    TextChat = 1,
    Boosting = 2,
    Spam = 4,
    Afk = 8,
    IntentionallyFeeding = 16,
    BlockingProgress = 32,
    Hacking = 64,
    Botting = 128,
    Advertisement = 256,
    BTag = 512,
    GroupName = 1024,
    CharacterName = 2048,
    GuildName = 4096,
    Description = 8192,
    Name = 16384,
    HarmfulToMinors = 32768
  }
  enum ReportSubComplaintTypes {
    Inappropriate = 0,
    Advertising = 1
  }
  enum ReportType {
    Chat = 0,
    InWorld = 1,
    ClubFinderPosting = 2,
    ClubFinderApplicant = 3,
    GroupFinderPosting = 4,
    GroupFinderApplicant = 5,
    ClubMember = 6,
    GroupMember = 7,
    Friend = 8,
    Pet = 9,
    BattlePet = 10,
    Calendar = 11,
    Mail = 12,
    PvP = 13,
    PvPScoreboard = 14,
    PvPGroupMember = 15,
    CraftingOrder = 16
  }
  enum ReputationSortType {
    None = 0,
    Account = 1,
    Character = 2
  }
  enum JailersTowerType {
    TwistingCorridors = 0,
    SkoldusHalls = 1,
    FractureChambers = 2,
    Soulforges = 3,
    Coldheart = 4,
    Mortregar = 5,
    UpperReaches = 6,
    ArkobanHall = 7,
    TormentChamberJaina = 8,
    TormentChamberThrall = 9,
    TormentChamberAnduin = 10,
    AdamantVaults = 11,
    ForgottenCatacombs = 12,
    Ossuary = 13,
    BossRush = 14
  }
  enum ScriptedAnimationBehavior {
    None = 0,
    TargetShake = 1,
    TargetKnockBack = 2,
    SourceRecoil = 3,
    SourceCollideWithTarget = 4,
    UIParentShake = 5
  }
  enum ScriptedAnimationFlags {
    UseTargetAsSource = 1
  }
  enum ScriptedAnimationTrajectory {
    AtSource = 0,
    AtTarget = 1,
    Straight = 2,
    CurveLeft = 3,
    CurveRight = 4,
    CurveRandom = 5,
    HalfwayBetween = 6
  }
  enum PingTextureType {
    Center = 0,
    Expand = 1,
    Rotation = 2
  }
  enum SocialWhoOrigin {
    Unknown = 0,
    Social = 1,
    Chat = 2,
    Item = 3
  }
  enum SoftTargetEnableFlags {
    None = 0,
    Gamepad = 1,
    Kbm = 2,
    Any = 3
  }
  enum AddSoulbindConduitReason {
    None = 0,
    Cheat = 1,
    SpellEffect = 2,
    Upgrade = 3
  }
  enum SoulbindConduitFlags {
    VisibleToGetallsoulbindconduitScript = 1
  }
  enum SoulbindConduitInstallResult {
    Success = 0,
    InvalidItem = 1,
    InvalidConduit = 2,
    InvalidTalent = 3,
    DuplicateConduit = 4,
    ForgeNotInProximity = 5,
    SocketNotEmpty = 6
  }
  enum SoulbindConduitTransactionType {
    Install = 0,
    Uninstall = 1
  }
  enum SoulbindConduitType {
    Finesse = 0,
    Potency = 1,
    Endurance = 2,
    Flex = 3
  }
  enum SoulbindNodeState {
    Unavailable = 0,
    Unselected = 1,
    Selectable = 2,
    Selected = 3
  }
  enum SpellBookSkillLineIndex {
    General = 1,
    Class = 2,
    MainSpec = 3,
    OffSpecStart = 4
  }
  enum SpellBookItemType {
    None = 0,
    Spell = 1,
    FutureSpell = 2,
    PetAction = 3,
    Flyout = 4
  }
  enum SpellBookSpellBank {
    Player = 0,
    Pet = 1
  }
  enum SplashScreenType {
    WhatsNew = 0,
    SeasonRollOver = 1
  }
  enum SuperTrackingMapPinType {
    AreaPOI = 0,
    QuestOffer = 1,
    TaxiNode = 2,
    DigSite = 3
  }
  enum SuperTrackingType {
    Quest = 0,
    UserWaypoint = 1,
    Corpse = 2,
    Scenario = 3,
    Content = 4,
    PartyMember = 5,
    MapPin = 6,
    Vignette = 7
  }
  enum FlightPathFaction {
    Neutral = 0,
    Horde = 1,
    Alliance = 2
  }
  enum FlightPathState {
    Current = 0,
    Reachable = 1,
    Unreachable = 2
  }
  enum TitleIconVersion {
    Small = 0,
    Medium = 1,
    Large = 2
  }
  enum StartTimerType {
    PvPBeginTimer = 0,
    ChallengeModeCountdown = 1,
    PlayerCountdown = 2,
    PlunderstormCountdown = 3
  }
  enum TooltipComparisonMethod {
    Single = 0,
    WithBothHands = 1,
    WithBagMainHandItem = 2,
    WithBagOffHandItem = 3
  }
  enum TooltipSide {
    Left = 0,
    Right = 1,
    Top = 2,
    Bottom = 3
  }
  enum TooltipTextureAnchor {
    LeftTop = 0,
    LeftCenter = 1,
    LeftBottom = 2,
    RightTop = 3,
    RightCenter = 4,
    RightBottom = 5,
    All = 6
  }
  enum TooltipTextureRelativeRegion {
    LeftLine = 0,
    RightLine = 1
  }
  enum TooltipDataItemBinding {
    Quest = 0,
    Account = 1,
    BnetAccount = 2,
    Soulbound = 3,
    BindToAccount = 4,
    BindToBnetAccount = 5,
    BindOnPickup = 6,
    BindOnEquip = 7,
    BindOnUse = 8
  }
  enum TooltipDataLineType {
    None = 0,
    Blank = 1,
    UnitName = 2,
    GemSocket = 3,
    AzeriteEssenceSlot = 4,
    AzeriteEssencePower = 5,
    LearnableSpell = 6,
    UnitThreat = 7,
    QuestObjective = 8,
    AzeriteItemPowerDescription = 9,
    RuneforgeLegendaryPowerDescription = 10,
    SellPrice = 11,
    ProfessionCraftingQuality = 12,
    SpellName = 13,
    CurrencyTotal = 14,
    ItemEnchantmentPermanent = 15,
    UnitOwner = 16,
    QuestTitle = 17,
    QuestPlayer = 18,
    NestedBlock = 19,
    ItemBinding = 20,
    RestrictedRaceClass = 21,
    RestrictedFaction = 22,
    RestrictedSkill = 23,
    RestrictedPvPMedal = 24,
    RestrictedReputation = 25,
    RestrictedSpellKnown = 26,
    RestrictedLevel = 27,
    EquipSlot = 28,
    ItemName = 29,
    Separator = 30,
    ToyName = 31,
    ToyText = 32,
    ToyEffect = 33,
    ToyDuration = 34,
    RestrictedArena = 35,
    RestrictedBg = 36,
    ToyFlavorText = 37,
    ToyDescription = 38,
    ToySource = 39,
    GemSocketEnchantment = 40
  }
  enum TooltipDataType {
    Item = 0,
    Spell = 1,
    Unit = 2,
    Corpse = 3,
    Object = 4,
    Currency = 5,
    BattlePet = 6,
    UnitAura = 7,
    AzeriteEssence = 8,
    CompanionPet = 9,
    Mount = 10,
    PetAction = 11,
    Achievement = 12,
    EnhancedConduit = 13,
    EquipmentSet = 14,
    InstanceLock = 15,
    PvPBrawl = 16,
    RecipeRankInfo = 17,
    Totem = 18,
    Toy = 19,
    CorruptionCleanser = 20,
    MinimapMouseover = 21,
    Flyout = 22,
    Quest = 23,
    QuestPartyProgress = 24,
    Macro = 25,
    Debug = 26
  }
  enum CraftingReagentItemFlag {
    TooltipShowsAsStatModifications = 0
  }
  enum RecipeRequirementType {
    SpellFocus = 0,
    Totem = 1,
    Area = 2
  }
  enum TradeskillOrderDuration {
    Short = 1,
    Medium = 2,
    Long = 3
  }
  enum TradeskillOrderRecipient {
    Public = 1,
    Guild = 2,
    Private = 3
  }
  enum TradeskillOrderStatus {
    Unclaimed = 1,
    Started = 2,
    Completed = 3,
    Expired = 4
  }
  enum TradeskillRecipeType {
    Item = 1,
    Salvage = 2,
    Enchant = 3,
    Recraft = 4,
    Gathering = 5
  }
  enum TradeskillRelativeDifficulty {
    Optimal = 0,
    Medium = 1,
    Easy = 2,
    Trivial = 3
  }
  enum TradeskillSlotDataType {
    Reagent = 1,
    ModifiedReagent = 2,
    Currency = 3
  }
  enum NodeOpFailureReason {
    None = 0,
    MissingEdgeConnection = 1,
    RequiredForEdge = 2,
    MissingRequiredEdge = 3,
    HasMutuallyExclusiveEdge = 4,
    NotEnoughSourcedCurrencySpent = 5,
    NotEnoughCurrencySpent = 6,
    NotEnoughGoldSpent = 7,
    MissingAchievement = 8,
    MissingQuest = 9,
    WrongSpec = 10,
    WrongSelection = 11,
    MaxRank = 12,
    DataError = 13,
    NotEnoughSourcedCurrency = 14,
    NotEnoughCurrency = 15,
    NotEnoughGold = 16,
    SameSelection = 17,
    NodeNotFound = 18,
    EntryNotFound = 19,
    RequiredForCondition = 20,
    WrongTreeID = 21,
    LevelTooLow = 22,
    TreeFlaggedNoRefund = 23,
    NodeNeverPurchasable = 24,
    AccountDataNoMatch = 25
  }
  enum SharedStringFlag {
    InternalOnly = 1
  }
  enum TraitCombatConfigFlags {
    ActiveForSpec = 1,
    StarterBuild = 2,
    SharedActionBars = 4
  }
  enum TraitCondFlag {
    IsGate = 1,
    IsAlwaysMet = 2,
    IsSufficient = 4
  }
  enum TraitConditionType {
    Available = 0,
    Visible = 1,
    Granted = 2,
    Increased = 3,
    DisplayError = 4
  }
  enum TraitConfigDbState {
    Ready = 0,
    Created = 1,
    Removed = 2,
    Deleted = 3
  }
  enum TraitConfigType {
    Invalid = 0,
    Combat = 1,
    Profession = 2,
    Generic = 3
  }
  enum TraitCurrencyFlag {
    ShowQuantityAsSpent = 1,
    TraitSourcedShowMax = 2,
    UseClassIcon = 4,
    UseSpecIcon = 8
  }
  enum TraitCurrencyType {
    Gold = 0,
    CurrencyTypesBased = 1,
    TraitSourced = 2
  }
  enum TraitDefinitionSubType {
    DragonflightRed = 0,
    DragonflightBlue = 1,
    DragonflightGreen = 2,
    DragonflightBronze = 3,
    DragonflightBlack = 4
  }
  enum TraitEdgeType {
    VisualOnly = 0,
    DeprecatedRankConnection = 1,
    SufficientForAvailability = 2,
    RequiredForAvailability = 3,
    MutuallyExclusive = 4,
    DeprecatedSelectionOption = 5
  }
  enum TraitEdgeVisualStyle {
    None = 0,
    Straight = 1
  }
  enum TraitNodeEntryType {
    SpendHex = 0,
    SpendSquare = 1,
    SpendCircle = 2,
    SpendSmallCircle = 3,
    DeprecatedSelect = 4,
    DragAndDrop = 5,
    SpendDiamond = 6,
    ProfPath = 7,
    ProfPerk = 8,
    ProfPathUnlock = 9
  }
  enum TraitNodeFlag {
    ShowMultipleIcons = 1,
    NeverPurchasable = 2,
    TestPositionLocked = 4,
    TestGridPositioned = 8
  }
  enum TraitNodeGroupFlag {
    AvailableByDefault = 1
  }
  enum TraitNodeType {
    Single = 0,
    Tiered = 1,
    Selection = 2,
    SubTreeSelection = 3
  }
  enum TraitPointsOperationType {
    None = -1,
    Set = 0,
    Multiply = 1
  }
  enum TraitSystemFlag {
    AllowMultipleLoadoutsPerTree = 1,
    ShowSpendConfirmation = 2
  }
  enum TraitTreeFlag {
    CannotRefund = 1,
    HideSingleRankNumbers = 2
  }
  enum TransmogIllisionFlags {
    HideUntilCollected = 1,
    PlayerConditionGrantsOnLogin = 2
  }
  enum TransmogSlot {
    Head = 0,
    Shoulder = 1,
    Back = 2,
    Chest = 3,
    Body = 4,
    Tabard = 5,
    Wrist = 6,
    Hand = 7,
    Waist = 8,
    Legs = 9,
    Feet = 10,
    Mainhand = 11,
    Offhand = 12
  }
  enum TransmogPendingType {
    Apply = 0,
    Revert = 1,
    ToggleOn = 2,
    ToggleOff = 3
  }
  enum TransmogCameraVariation {
    None = 0,
    RightShoulder = 1,
    CloakBackpack = 1
  }
  enum TransmogCollectionType {
    None = 0,
    Head = 1,
    Shoulder = 2,
    Back = 3,
    Chest = 4,
    Shirt = 5,
    Tabard = 6,
    Wrist = 7,
    Hands = 8,
    Waist = 9,
    Legs = 10,
    Feet = 11,
    Wand = 12,
    OneHAxe = 13,
    OneHSword = 14,
    OneHMace = 15,
    Dagger = 16,
    Fist = 17,
    Shield = 18,
    Holdable = 19,
    TwoHAxe = 20,
    TwoHSword = 21,
    TwoHMace = 22,
    Staff = 23,
    Polearm = 24,
    Bow = 25,
    Gun = 26,
    Crossbow = 27,
    Warglaives = 28,
    Paired = 29
  }
  enum TransmogModification {
    Main = 0,
    Secondary = 1
  }
  enum TransmogSearchType {
    Items = 1,
    BaseSets = 2,
    UsableSets = 3
  }
  enum TransmogSource {
    None = 0,
    JournalEncounter = 1,
    Quest = 2,
    Vendor = 3,
    WorldDrop = 4,
    HiddenUntilCollected = 5,
    CantCollect = 6,
    Achievement = 7,
    Profession = 8,
    NotValidForTransmog = 9,
    TradingPost = 10
  }
  enum TransmogType {
    Appearance = 0,
    Illusion = 1
  }
  enum TransmogUseErrorType {
    None = 0,
    PlayerCondition = 1,
    Skill = 2,
    Ability = 3,
    Reputation = 4,
    Holiday = 5,
    HotRecheckFailed = 6,
    Class = 7,
    Race = 8,
    Faction = 9,
    ItemProficiency = 10
  }
  enum EventToastDisplayType {
    NormalSingleLine = 0,
    NormalBlockText = 1,
    NormalTitleAndSubTitle = 2,
    NormalTextWithIcon = 3,
    LargeTextWithIcon = 4,
    NormalTextWithIconAndRarity = 5,
    Scenario = 6,
    ChallengeMode = 7,
    ScenarioClickExpand = 8,
    WeeklyRewardUnlock = 9,
    WeeklyRewardUpgrade = 10,
    FlightpointDiscovered = 11,
    CapstoneUnlocked = 12,
    SingleLineWithIcon = 13
  }
  enum EventToastEventType {
    LevelUp = 0,
    LevelUpSpell = 1,
    LevelUpDungeon = 2,
    LevelUpRaid = 3,
    LevelUpPvP = 4,
    PetBattleNewAbility = 5,
    PetBattleFinalRound = 6,
    PetBattleCapture = 7,
    BattlePetLevelChanged = 8,
    BattlePetLevelUpAbility = 9,
    QuestBossEmote = 10,
    MythicPlusWeeklyRecord = 11,
    QuestTurnedIn = 12,
    WorldStateChange = 13,
    Scenario = 14,
    LevelUpOther = 15,
    PlayerAuraAdded = 16,
    PlayerAuraRemoved = 17,
    SpellScript = 18,
    CriteriaUpdated = 19,
    PvPTierUpdate = 20,
    SpellLearned = 21,
    TreasureItem = 22,
    WeeklyRewardUnlock = 23,
    WeeklyRewardUpgrade = 24,
    FlightpointDiscovered = 25
  }
  enum EventToastFlags {
    DisableRightClickDismiss = 1
  }
  enum UIFrameType {
    JailersTowerBuffs = 0
  }
  enum ModelSceneSetting {
    AlignLightToOrbitDelta = 1
  }
  enum ModelSceneType {
    MountJournal = 0,
    PetJournalCard = 1,
    ShopCard = 2,
    EncounterJournal = 3,
    PetJournalLoadout = 4,
    ArtifactTier2 = 5,
    ArtifactTier2ForgingScene = 6,
    ArtifactTier2SlamEffect = 7,
    CommentatorVictoryFanfare = 8,
    ArtifactRelicTalentEffect = 9,
    PvPWarModeOrb = 10,
    PvPWarModeFire = 11,
    PartyPose = 12,
    AzeriteItemLevelUpToast = 13,
    AzeritePowers = 14,
    AzeriteRewardGlow = 15,
    HeartOfAzeroth = 16,
    WorldMapThreat = 17,
    Soulbinds = 18,
    JailersTowerAnimaGlow = 19
  }
  enum UIModelSceneActorFlag {
    Deprecated1 = 1,
    UseCenterForOriginX = 2,
    UseCenterForOriginY = 4,
    UseCenterForOriginZ = 8
  }
  enum ItemTryOnReason {
    Success = 0,
    WrongRace = 1,
    NotEquippable = 2,
    DataPending = 3
  }
  enum UISystemType {
    InGameNavigation = 0
  }
  enum UITextureSliceMode {
    Stretched = 0,
    Tiled = 1
  }
  enum CaptureBarWidgetFillDirectionType {
    RightToLeft = 0,
    LeftToRight = 1
  }
  enum IconAndTextWidgetState {
    Hidden = 0,
    Shown = 1,
    ShownWithDynamicIconFlashing = 2,
    ShownWithDynamicIconNotFlashing = 3
  }
  enum IconState {
    Hidden = 0,
    ShowState1 = 1,
    ShowState2 = 2
  }
  enum ItemDisplayTextDisplayStyle {
    WorldQuestReward = 0,
    ItemNameAndInfoText = 1,
    ItemNameOnlyCentered = 2,
    PlayerChoiceReward = 3
  }
  enum ItemDisplayTooltipEnabledType {
    Enabled = 0,
    Disabled = 1
  }
  enum MapPinAnimationType {
    None = 0,
    Pulse = 1
  }
  enum SpellDisplayBorderColor {
    None = 0,
    Black = 1,
    White = 2,
    Red = 3,
    Yellow = 4,
    Orange = 5,
    Purple = 6,
    Green = 7,
    Blue = 8
  }
  enum SpellDisplayIconDisplayType {
    Buff = 0,
    Debuff = 1,
    Circular = 2,
    NoBorder = 3
  }
  enum SpellDisplayTextShownStateType {
    Shown = 0,
    Hidden = 1
  }
  enum SpellDisplayTint {
    None = 0,
    Red = 1
  }
  enum StatusBarColorTintValue {
    None = 0,
    Black = 1,
    White = 2,
    Red = 3,
    Yellow = 4,
    Orange = 5,
    Purple = 6,
    Green = 7,
    Blue = 8
  }
  enum StatusBarOverrideBarTextShownType {
    Never = 0,
    Always = 1,
    OnlyOnMouseover = 2,
    OnlyNotOnMouseover = 3
  }
  enum StatusBarValueTextType {
    Hidden = 0,
    Percentage = 1,
    Value = 2,
    Time = 3,
    TimeShowOneLevelOnly = 4,
    ValueOverMax = 5,
    ValueOverMaxNormalized = 6
  }
  enum TugOfWarMarkerArrowShownState {
    Never = 0,
    Always = 1,
    FlashOnMove = 2
  }
  enum TugOfWarStyleValue {
    DefaultYellow = 0,
    ArchaeologyBrown = 1
  }
  enum UIWidgetBlendModeType {
    Opaque = 0,
    Additive = 1
  }
  enum UIWidgetFlag {
    UniversalWidget = 1
  }
  enum UIWidgetFontType {
    Normal = 0,
    Shadow = 1,
    Outline = 2
  }
  enum UIWidgetModelSceneLayer {
    None = 0,
    Front = 1,
    Back = 2
  }
  enum UIWidgetMotionType {
    Instant = 0,
    Smooth = 1
  }
  enum UIWidgetOverrideState {
    Inactive = 0,
    Active = 1
  }
  enum UIWidgetRewardShownState {
    Hidden = 0,
    ShownEarned = 1,
    ShownUnearned = 2
  }
  enum UIWidgetTextSizeType {
    Small12Pt = 0,
    Medium16Pt = 1,
    Large24Pt = 2,
    Huge27Pt = 3,
    Standard14Pt = 4,
    Small10Pt = 5,
    Small11Pt = 6,
    Medium18Pt = 7,
    Large20Pt = 8
  }
  enum UIWidgetTextureAndTextSizeType {
    Small = 0,
    Medium = 1,
    Large = 2,
    Huge = 3,
    Standard = 4,
    Medium2 = 5
  }
  enum UIWidgetTooltipLocation {
    Default = 0,
    BottomLeft = 1,
    Left = 2,
    TopLeft = 3,
    Top = 4,
    TopRight = 5,
    Right = 6,
    BottomRight = 7,
    Bottom = 8
  }
  enum UIWidgetUpdateAnimType {
    None = 0,
    Flash = 1
  }
  enum WidgetAnimationType {
    None = 0,
    Fade = 1
  }
  enum WidgetCurrencyClass {
    Currency = 0,
    Item = 1
  }
  enum WidgetEnabledState {
    Disabled = 0,
    Yellow = 1,
    Red = 2,
    White = 3,
    Green = 4,
    Artifact = 5,
    Black = 6,
    BrightBlue = 7
  }
  enum WidgetGlowAnimType {
    None = 0,
    Pulse = 1
  }
  enum WidgetIconSizeType {
    Small = 0,
    Medium = 1,
    Large = 2,
    Standard = 3
  }
  enum WidgetIconSourceType {
    Spell = 0,
    Item = 1
  }
  enum WidgetOpacityType {
    OneHundred = 0,
    Ninety = 1,
    Eighty = 2,
    Seventy = 3,
    Sixty = 4,
    Fifty = 5,
    Forty = 6,
    Thirty = 7,
    Twenty = 8,
    Ten = 9,
    Zero = 10
  }
  enum WidgetShowGlowState {
    HideGlow = 0,
    ShowGlow = 1
  }
  enum WidgetShownState {
    Hidden = 0,
    Shown = 1
  }
  enum WidgetTextHorizontalAlignmentType {
    Left = 0,
    Center = 1,
    Right = 2
  }
  enum WidgetUnitPowerBarFlashMomentType {
    FlashWhenMax = 0,
    FlashWhenMin = 1,
    NeverFlash = 2
  }
  enum ZoneControlActiveState {
    Inactive = 0,
    Active = 1
  }
  enum ZoneControlDangerFlashType {
    ShowOnGoodStates = 0,
    ShowOnBadStates = 1,
    ShowOnBoth = 2,
    ShowOnNeither = 3
  }
  enum ZoneControlFillType {
    SingleFillClockwise = 0,
    SingleFillCounterClockwise = 1,
    DoubleFillClockwise = 2,
    DoubleFillCounterClockwise = 3
  }
  enum ZoneControlLeadingEdgeType {
    NoLeadingEdge = 0,
    UseLeadingEdge = 1
  }
  enum ZoneControlMode {
    BothStatesAreGood = 0,
    State1IsGood = 1,
    State2IsGood = 2,
    NeitherStateIsGood = 3
  }
  enum ZoneControlState {
    State1 = 0,
    State2 = 1
  }
  enum MapIconUIWidgetSetType {
    Tooltip = 0,
    BehindIcon = 1
  }
  enum UIWidgetHorizontalDirection {
    LeftToRight = 0,
    RightToLeft = 1
  }
  enum UIWidgetLayoutDirection {
    Default = 0,
    Vertical = 1,
    Horizontal = 2,
    Overlap = 3,
    HorizontalForceNewRow = 4
  }
  enum UIWidgetScale {
    OneHundred = 0,
    Ninty = 1,
    Eighty = 2,
    Seventy = 3,
    Sixty = 4,
    Fifty = 5,
    OneHundredTen = 6,
    OneHundredTwenty = 7,
    OneHundredThirty = 8,
    OneHundredForty = 9,
    OneHundredFifty = 10,
    OneHundredSixty = 11,
    OneHundredSeventy = 12,
    OneHundredEighty = 13,
    OneHundredNinety = 14,
    TwoHundred = 15
  }
  enum UIWidgetSetLayoutDirection {
    Vertical = 0,
    Horizontal = 1,
    Overlap = 2
  }
  enum UIWidgetVisualizationType {
    IconAndText = 0,
    CaptureBar = 1,
    StatusBar = 2,
    DoubleStatusBar = 3,
    IconTextAndBackground = 4,
    DoubleIconAndText = 5,
    StackedResourceTracker = 6,
    IconTextAndCurrencies = 7,
    TextWithState = 8,
    HorizontalCurrencies = 9,
    BulletTextList = 10,
    ScenarioHeaderCurrenciesAndBackground = 11,
    TextureAndText = 12,
    SpellDisplay = 13,
    DoubleStateIconRow = 14,
    TextureAndTextRow = 15,
    ZoneControl = 16,
    CaptureZone = 17,
    TextureWithAnimation = 18,
    DiscreteProgressSteps = 19,
    ScenarioHeaderTimer = 20,
    TextColumnRow = 21,
    Spacer = 22,
    UnitPowerBar = 23,
    FillUpFrames = 24,
    TextWithSubtext = 25,
    MapPinAnimation = 26,
    ItemDisplay = 27,
    TugOfWar = 28,
    ScenarioHeaderDelves = 29
  }
  enum UIModelSceneContext {
    None = -1,
    PerksProgram = 0
  }
  enum UIModelSceneFlags {
    SheatheWeapon = 1,
    HideWeapon = 2,
    Autodress = 4
  }
  enum PhaseReason {
    Phasing = 0,
    Sharding = 1,
    WarMode = 2,
    ChromieTime = 3
  }
  enum PvPUnitClassification {
    FlagCarrierHorde = 0,
    FlagCarrierAlliance = 1,
    FlagCarrierNeutral = 2,
    CartRunnerHorde = 3,
    CartRunnerAlliance = 4,
    AssassinHorde = 5,
    AssassinAlliance = 6,
    OrbCarrierBlue = 7,
    OrbCarrierGreen = 8,
    OrbCarrierOrange = 9,
    OrbCarrierPurple = 10
  }
  enum ScrubStringFlags {
    None = 0,
    TruncateNewLines = 1,
    AllowBarCodes = 2,
    StripControlCodes = 4
  }
  enum ValidateNameResult {
    Success = 0,
    Failure = 1,
    NoName = 2,
    TooShort = 3,
    TooLong = 4,
    InvalidCharacter = 5,
    MixedLanguages = 6,
    Profane = 7,
    Reserved = 8,
    InvalidApostrophe = 9,
    MultipleApostrophes = 10,
    ThreeConsecutive = 11,
    InvalidSpace = 12,
    ConsecutiveSpaces = 13,
    RussianConsecutiveSilentCharacters = 14,
    RussianSilentCharacterAtBeginningOrEnd = 15,
    DeclensionDoesntMatchBaseName = 16,
    SpacesDisallowed = 17
  }
  enum GraphicsValidationResult {
    Supported = 0,
    Illegal = 1,
    Unsupported = 2,
    Graphics = 3,
    DualCore = 4,
    QuadCore = 5,
    CpuMem_2 = 6,
    CpuMem_4 = 7,
    CpuMem_8 = 8,
    Needs_5_0 = 9,
    Needs_6_0 = 10,
    NeedsRt = 11,
    NeedsDx12 = 12,
    NeedsDx12Vrs2 = 13,
    NeedsAppleGpu = 14,
    NeedsAmdGpu = 15,
    NeedsIntelGpu = 16,
    NeedsNvidiaGpu = 17,
    NeedsQualcommGpu = 18,
    NeedsMacOs_10_13 = 19,
    NeedsMacOs_10_14 = 20,
    NeedsMacOs_10_15 = 21,
    NeedsMacOs_11_0 = 22,
    NeedsMacOs_12_0 = 23,
    NeedsMacOs_13_0 = 24,
    NeedsWindows_10 = 25,
    NeedsWindows_11 = 26,
    MacOsUnsupported = 27,
    WindowsUnsupported = 28,
    LegacyUnsupported = 29,
    Dx11Unsupported = 30,
    Dx12Win7Unsupported = 31,
    RemoteDesktopUnsupported = 32,
    WineUnsupported = 33,
    NvapiWineUnsupported = 34,
    AppleGpuUnsupported = 35,
    AmdGpuUnsupported = 36,
    IntelGpuUnsupported = 37,
    NvidiaGpuUnsupported = 38,
    QualcommGpuUnsupported = 39,
    GpuDriver = 40,
    CompatMode = 41,
    Unknown = 42
  }
  enum VignetteType {
    Normal = 0,
    PvPBounty = 1,
    Torghast = 2,
    Treasure = 3,
    FyrakkFlight = 4
  }
  enum CommunicationMode {
    PushToTalk = 0,
    OpenMic = 1
  }
  enum VoiceChannelErrorReason {
    Unknown = 0,
    IsBattleNetChannel = 1
  }
  enum VoiceChatStatusCode {
    Success = 0,
    OperationPending = 1,
    TooManyRequests = 2,
    LoginProhibited = 3,
    ClientNotInitialized = 4,
    ClientNotLoggedIn = 5,
    ClientAlreadyLoggedIn = 6,
    ChannelNameTooShort = 7,
    ChannelNameTooLong = 8,
    ChannelAlreadyExists = 9,
    AlreadyInChannel = 10,
    TargetNotFound = 11,
    Failure = 12,
    ServiceLost = 13,
    UnableToLaunchProxy = 14,
    ProxyConnectionTimeOut = 15,
    ProxyConnectionUnableToConnect = 16,
    ProxyConnectionUnexpectedDisconnect = 17,
    Disabled = 18,
    UnsupportedChatChannelType = 19,
    InvalidCommunityStream = 20,
    PlayerSilenced = 21,
    PlayerVoiceChatParentalDisabled = 22,
    InvalidInputDevice = 23,
    InvalidOutputDevice = 24
  }
  enum VoiceTtsDestination {
    RemoteTransmission = 0,
    LocalPlayback = 1,
    RemoteTransmissionWithLocalPlayback = 2,
    QueuedRemoteTransmission = 3,
    QueuedLocalPlayback = 4,
    QueuedRemoteTransmissionWithLocalPlayback = 5,
    ScreenReader = 6
  }
  enum VoiceTtsStatusCode {
    Success = 0,
    InvalidEngineType = 1,
    EngineAllocationFailed = 2,
    NotSupported = 3,
    MaxCharactersExceeded = 4,
    UtteranceBelowMinimumDuration = 5,
    InputTextEnqueued = 6,
    SdkNotInitialized = 7,
    DestinationQueueFull = 8,
    EnqueueNotNecessary = 9,
    UtteranceNotFound = 10,
    ManagerNotFound = 11,
    InvalidArgument = 12,
    InternalError = 13
  }
  enum CampaignState {
    Invalid = 0,
    Complete = 1,
    InProgress = 2,
    Stalled = 3
  }
  enum ConquestProgressBarDisplayType {
    FirstChest = 0,
    AdditionalChest = 1,
    Seasonal = 2
  }
  enum WoWEntitlementType {
    Item = 0,
    Mount = 1,
    Battlepet = 2,
    Toy = 3,
    Appearance = 4,
    AppearanceSet = 5,
    GameTime = 6,
    Title = 7,
    Illusion = 8,
    Invalid = 9
  }
}

export {}
